// Headerdatei fr CLStep4X

#ifndef __CLStep4X__
#define __CLStep4X__


/////////////////////////////////////////////////////////////////////////////////////////////
// C-Kapselung fr LStep4X.DLL

const int XAxis = 1;
const int YAxis = 2;
const int ZAxis = 3;
const int AAxis = 4;

#pragma pack(1)
struct TLS_ControlInitPar
{
      int Size;
      int InterfaceType;
      char ComNameLength;
      char ComName[32];
      BOOL ShowProt;
      BOOL ShowCmdList;

      int BaudRate;
      int IOAdress;
      int CardIndex;

      int ControlType;
      char VersionStrLength;
      char VersionStr[64];
      int Axes;
      int ErrorCode;
      BOOL NewCmds;
      int Encoder;
      BOOL Display, SpeedPoti, HandWheel, Snapshot, TVR, TriggerOut;
      BOOL DemoMode;
};
#pragma pack(8)

#pragma pack(1)
struct TLS_ControlInitParW
{
      int Size;
      int InterfaceType;
      TCHAR ComNameW[32];
      BOOL ShowProt;
      BOOL ShowCmdList;

      int BaudRate;
      int IOAdress;
      int CardIndex;

      int ControlType;
      TCHAR VersionStrW[64];
      int Axes;
      int ErrorCode;
      BOOL NewCmds;
      int Encoder;
      BOOL Display, SpeedPoti, HandWheel, Snapshot, TVR, TriggerOut;
      BOOL DemoMode;
};
#pragma pack(8)


typedef int (__stdcall *PConnect) (int lLSID);
typedef int (__stdcall *PConnectSimple) (int lLSID, int lAnInterfaceType, char *pcAComName, int lABaudRate, BOOL bAShowProt);
typedef int (__stdcall *PConnectSimpleW) (int lLSID, int lAnInterfaceType, TCHAR *pcAComName, int lABaudRate, BOOL bAShowProt);
typedef int (__stdcall *PConnectEx) (int lLSID, TLS_ControlInitPar *pAControlInitPar);
typedef int (__stdcall *PConnectExW) (int lLSID, TLS_ControlInitParW *pAControlInitPar);
typedef int (__stdcall *PDisconnect) (int lLSID);
typedef int (__stdcall *PLoadConfig) (int lLSID, char *pcFileName);
typedef int (__stdcall *PLoadConfigW) (int lLSID, TCHAR *pcFileName);
typedef int (__stdcall *PSaveConfig) (int lLSID, char *pcFileName);
typedef int (__stdcall *PSaveConfigW) (int lLSID, TCHAR *pcFileName);
typedef int (__stdcall *PMoveAbs) (int lLSID, double dX, double dY, double dZ, double dA, BOOL bWait);
typedef int (__stdcall *PMoveRel) (int lLSID, double dX, double dY, double dZ, double dA, BOOL bWait);
typedef int (__stdcall *PCalibrate) (int lLSID);
typedef int (__stdcall *PRMeasure) (int lLSID);
typedef int (__stdcall *PSetPitch) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PSetPos) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PSetActiveAxes) (int lLSID, int lFlags);
typedef int (__stdcall *PSetVel) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PSetAccel) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PSetRoomAccelJerk) (int lLSID, double dvalue);
typedef int (__stdcall *PGetRoomAccelJerk) (int lLSID, double *pdvalue);
typedef int (__stdcall *PSetRoomDecelJerk) (int lLSID, double dvalue);
typedef int (__stdcall *PGetRoomDecelJerk) (int lLSID, double *pdvalue);
typedef int (__stdcall *PSetRoomStopJerk) (int lLSID, double dvalue);
typedef int (__stdcall *PGetRoomStopJerk) (int lLSID, double *pdvalue);
typedef int (__stdcall *PSetRoomAccel) (int lLSID, double dvalue);
typedef int (__stdcall *PGetRoomAccel) (int lLSID, double *pdvalue);
typedef int (__stdcall *PSetRoomDecel) (int lLSID, double dvalue);
typedef int (__stdcall *PGetRoomDecel) (int lLSID, double *pdvalue);
typedef int (__stdcall *PSetRoomStopDecel) (int lLSID, double dvalue);
typedef int (__stdcall *PGetRoomStopDecel) (int lLSID, double *pdvalue);
typedef int (__stdcall *PSetRoomVel) (int lLSID, double dvalue);
typedef int (__stdcall *PGetRoomVel) (int lLSID, double *pdvalue);
typedef int (__stdcall *PSetReduction) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PSetDelay) (int lLSID, int lDelay);
typedef int (__stdcall *PSetSwitchPolarity) (int lLSID, int lXP, int lYP, int lZP, int lAP);
typedef int (__stdcall *PSetSwitchActive) (int lLSID, int lXA, int lYA, int lZA, int lAA);
typedef int (__stdcall *PSetJoystickOn) (int lLSID, BOOL bPositionCount, BOOL bEncoder);
typedef int (__stdcall *PSetJoystickOff) (int lLSID);
typedef int (__stdcall *PSoftwareReset) (int lLSID);
typedef int (__stdcall *PSetDigitalOutput) (int lLSID, int lIndex, BOOL bValue);
typedef int (__stdcall *PGetDigitalInputs) (int lLSID, int *plValue);
typedef int (__stdcall *PSetAnalogOutput) (int lLSID, int lIndex, int lValue);
typedef int (__stdcall *PGetAnalogInput) (int lLSID, int lIndex, int *plValue);
typedef int (__stdcall *PSetLimit) (int lLSID, int lAxis, double dMinRange, double dMaxRange);
typedef int (__stdcall *PSetLimitControl) (int lLSID, int lAxis, BOOL bActive);
typedef int (__stdcall *PGetPos) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PGetStatus) (int lLSID, char *pcStat, int lMaxLen);
typedef int (__stdcall *PGetStatusW) (int lLSID, TCHAR *pcStat, int lMaxLen);
typedef int (__stdcall *PGetEncoderMask) (int lLSID, int *plFlags);
typedef int (__stdcall *PStopAxes) (int lLSID);
typedef int (__stdcall *PSetAbortFlag) (int lLSID);
typedef int (__stdcall *PMoveRelSingleAxis) (int lLSID, int lAxis, double dValue, BOOL bWait);
typedef int (__stdcall *PMoveAbsSingleAxis) (int lLSID, int lAxis, double dValue, BOOL bWait);
typedef int (__stdcall *PMoveSequence) (int lLSID, int lnMode, BOOL bWait);
typedef int (__stdcall *PSetControlPars) (int lLSID);
typedef int (__stdcall *PSetMotorCurrent) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PSetMotorAutoKommCurrent) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetMotorAutoKommCurrent) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PSetMotorpeakCurrent) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetMotorpeakCurrent) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PSetMotorpeakCurrentTime) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetMotorpeakCurrentTime) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetMotorIITCheck) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
typedef int (__stdcall *PGetMotorIITCheck) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
typedef int (__stdcall *PSetVelSingleAxis) (int lLSID, int lAxis, double dVel);
typedef int (__stdcall *PSetAccelSingleAxis) (int lLSID, int lAxis, double dAccel);
typedef int (__stdcall *PCalibrateEx) (int lLSID, int lFlags);
typedef int (__stdcall *PRMeasureEx) (int lLSID, int lFlags);
typedef int (__stdcall *PSetShowProt) (int lLSID, BOOL bShowProt);
typedef int (__stdcall *PGetAnalogInputs2) (int lLSID, int *plPT100, int *plMV, int *plV24);
typedef int (__stdcall *PSendString) (int lLSID, char *pcStr, char *pcRet, int lMaxLen, BOOL bReadLine, int lTimeOut);
typedef int (__stdcall *PSendStringW) (int lLSID, TCHAR *pcStr, TCHAR *pcRet, int lMaxLen, BOOL bReadLine, int lTimeOut);
typedef int (__stdcall *PSetSpeedPoti) (int lLSID, BOOL bSpeedPoti);
typedef int (__stdcall *PSetTVRMode) (int lLSID, int lXT, int lYT, int lZT, int lAT);
typedef int (__stdcall *PSetAutoStatus) (int lLSID, int lValue);
typedef int (__stdcall *PGetStatusAxis) (int lLSID, char *pcStatusAxisStr, int lMaxLen);
typedef int (__stdcall *PGetStatusAxisW) (int lLSID, TCHAR *pcStatusAxisStr, int lMaxLen);
typedef int (__stdcall *PSetDigIO_Off) (int lLSID, int lIndex);
typedef int (__stdcall *PSetDigIO_Polarity) (int lLSID, int lIndex, BOOL bHigh);
typedef int (__stdcall *PSetDigIO_EmergencyStop) (int lLSID, int lIndex);
typedef int (__stdcall *PSetDigIO_Distance) (int lLSID, int lIndex, BOOL bFkt, double dDist, int lAxis);
typedef int (__stdcall *PSetDimensions) (int lLSID, int lXD, int lYD, int lZD, int lAD);
typedef int (__stdcall *PMoveRelShort) (int lLSID);
typedef int (__stdcall *PSetEncoderPeriod) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PSetJoystickDir) (int lLSID, int lXD, int lYD, int lZD, int lAD);
typedef int (__stdcall *PSetEncoderMask) (int lLSID, int lValue);
typedef int (__stdcall *PSetGear) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PSetHandWheelOn) (int lLSID, BOOL bPositionCount, BOOL bEncoder);
typedef int (__stdcall *PSetHandWheelOff) (int lLSID);
typedef int (__stdcall *PSetFactorTVR) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PSetController) (int lLSID, int lXC, int lYC, int lZC, int lAC);
typedef int (__stdcall *PSetControllerCall) (int lLSID, int lCtrCall);
typedef int (__stdcall *PSetControllerSteps) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PSetControllerFactor) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PSetControllerTWDelay) (int lLSID, int lCtrTWDelay);
typedef int (__stdcall *PSetEncoderRefSignal) (int lLSID, int lXR, int lYR, int lZR, int lAR);
typedef int (__stdcall *PSetEncoderPosition) (int lLSID, BOOL bValue);
typedef int (__stdcall *PGetVersionStr) (int lLSID, char *pcVers, int lMaxLen);
typedef int (__stdcall *PGetVersionStrW) (int lLSID, TCHAR *pcVers, int lMaxLen);
typedef int (__stdcall *PGetError) (int lLSID, int *plErrorCode);
typedef int (__stdcall *PGetPosSingleAxis) (int lLSID, int lAxis, double *pdPos);
typedef int (__stdcall *PSetDistance) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetPosEx) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA, BOOL bEncoder);
typedef int (__stdcall *PSetShowCmdList) (int lLSID, BOOL bShowCmdList);
typedef int (__stdcall *PSetWriteLogText) (int lLSID, BOOL bAWriteLogText);
typedef int (__stdcall *PSetControllerTimeout) (int lLSID, int lACtrTimeout);
typedef int (__stdcall *PSetEncoderActive) (int lLSID, int lFlags);
typedef int (__stdcall *PGetSnapshotCount) (int lLSID, int *plSnsCount);
typedef int (__stdcall *PGetSnapshotPos) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PSetCorrTblOff) (int lLSID);
typedef int (__stdcall *PSetCorrTblOn) (int lLSID, char *pcAFileName);
typedef int (__stdcall *PSetCorrTblOnW) (int lLSID, TCHAR *pcAFileName);
typedef int (__stdcall *PSetFactorMode) (int lLSID, BOOL bAFactorMode, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PSetSnapshot) (int lLSID, BOOL bASnapshot);
typedef int (__stdcall *PSetSnapshotPar) (int lLSID, BOOL bHigh, BOOL bAutoMode);
typedef int (__stdcall *PSetTrigger) (int lLSID, BOOL bATrigger);
typedef int (__stdcall *PSetTrigger_) (int lLSID, int lATrigger);
typedef int (__stdcall *PSetTriggerPar) (int lLSID, int lAxis, int lMode, int lSignal, double dDistance);
typedef int (__stdcall *PSetTrigger_TwoPar) (int lLSID, int lAxis, int lMode, int lSignal, double dDistance);
typedef int (__stdcall *PSetTriggerSource) (int lLSID, int lSource);
typedef int (__stdcall *PGetTriggerSource) (int lLSID, int *plSource);
typedef int (__stdcall *PSetTrigger_TwoSource) (int lLSID, int lSource);
typedef int (__stdcall *PGetTrigger_TwoSource) (int lLSID, int *plSource);
typedef int (__stdcall *PSetTriggerHysterese) (int lLSID, double dHysterese);
typedef int (__stdcall *PGetTriggerHysterese) (int lLSID, double *pdHysterese);
typedef int (__stdcall *PSetTrigger_TwoHysterese) (int lLSID, double dHysterese);
typedef int (__stdcall *PGetTrigger_TwoHysterese) (int lLSID, double *pdHysterese);
typedef int (__stdcall *PSetTriggerPLength) (int lLSID, int lLength);
typedef int (__stdcall *PGetTriggerPLength) (int lLSID, int *plLength);
typedef int (__stdcall *PSetTrigger_TwoPLength) (int lLSID, int lLength);
typedef int (__stdcall *PGetTrigger_TwoPLength) (int lLSID, int *plLength);
typedef int (__stdcall *PSetTriggerPulsCount) (int lLSID, int lCount);
typedef int (__stdcall *PGetTriggerPulsCount) (int lLSID, int *plCount);
typedef int (__stdcall *PSetTrigger_TwoPulsCount) (int lLSID, int lCount);
typedef int (__stdcall *PGetTrigger_TwoPulsCount) (int lLSID, int *plCount);
typedef int (__stdcall *PSetConfigurated) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
typedef int (__stdcall *PGetConfigurated) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
typedef int (__stdcall *PSetStopMode) (int lLSID, int lMode);
typedef int (__stdcall *PGetStopMode) (int lLSID, int *plMode);
typedef int (__stdcall *PSetStopSwitchOffDelay ) (int lLSID, int ldelay);
typedef int (__stdcall *PGetStopSwitchOffDelay ) (int lLSID, int *pldelay);
typedef int (__stdcall *PSetLanguage) (int lLSID, char *pcPLN);
typedef int (__stdcall *PSetLanguageW) (int lLSID, TCHAR *pcPLN);
typedef int (__stdcall *PGetSwitches) (int lLSID, int *plFlags);
typedef int (__stdcall *PGetSerialNr) (int lLSID, char *pcSerialNr, int lMaxLen);
typedef int (__stdcall *PGetSerialNrW) (int lLSID, TCHAR *pcSerialNr, int lMaxLen);
typedef int (__stdcall *PSetCSOffset) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetCSOffset) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PSetCalibRMOffsetSWAct) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
typedef int (__stdcall *PGetCalibRMOffsetSWAct) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
typedef int (__stdcall *PMoveAbsV) (int lLSID, double dX, double dY, double dZ, double dA, AnsiString *pFeedback);
typedef int (__stdcall *PMoveRelV) (int lLSID, double dX, double dY, double dZ, double dA, AnsiString *pFeedback);
typedef int (__stdcall *PGetDeviationValue) (int lLSID, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
typedef int (__stdcall *PSetAutoKomm) (int lLSID, AnsiString *pFeedback);
typedef int (__stdcall *PGetAutoKomm) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
typedef int (__stdcall *PGetAutoKommResult) (int lLSID, double *pdX1, double *pdX2, double *pdY1, double *pdY2, double *pdZ1, double *pdZ2, double *pdA1, double *pdA2);
typedef int (__stdcall *PSetTablePos) (int lLSID, int lPosition, double dXD, double dYD, double dZD, double dAD);
typedef int (__stdcall *PGetTablePos) (int lLSID, int lPosition, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
typedef int (__stdcall *PSetIndexTableDivider) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetIndexTableDivider) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PMoveTablePosAbs) (int lLSID, int lX, int lY, int lZ, int lA, AnsiString *pFeedback);
typedef int (__stdcall *PMoveTablePosRel) (int lLSID, int lX, int lY, int lZ, int lA, AnsiString *pFeedback);
typedef int (__stdcall *PMoveIndexTable) (int lLSID, int lX, int lY, int lZ, int lA, AnsiString *pFeedback);
typedef int (__stdcall *PSetSpeedEnable) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
typedef int (__stdcall *PGetSpeedEnable) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
typedef int (__stdcall *PSetSpeed) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetSpeed) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetMixedMoveAxisMode) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetMixedMoveAxisMode) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PMixedMoveAbs) (int lLSID, double dX, double dY, double dZ, double dA, AnsiString *pFeedback);
typedef int (__stdcall *PMixedMoveRel) (int lLSID, double dX, double dY, double dZ, double dA, AnsiString *pFeedback);
typedef int (__stdcall *PSetMixedMovePos) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetMixedMovePos) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PSetMixedMoveAmpl) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetMixedMoveAmpl) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PSetMoveSeqStatusPos) (int lLSID, BOOL bstatus);
typedef int (__stdcall *PGetMoveSeqStatusPos) (int lLSID, BOOL *pbstatus);
typedef int (__stdcall *PSetMoveSeqStatus) (int lLSID, int lstatus, AnsiString *pFeedback);
typedef int (__stdcall *PGetMoveSeqStatus) (int lLSID, int *plstatus, int *plline);
typedef int (__stdcall *PSetMoveSeqVar) (int lLSID, double da, double db, double dc, double dd, double de);
typedef int (__stdcall *PGetMoveSeqVar) (int lLSID, double *pda, double *pdb, double *pdc, double *pdd, double *pde);
typedef int (__stdcall *PSetCalibOffset) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PSetRMOffset) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetSnapshotPosArray) (int lLSID, int lIndex, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PSetAxisDirection) (int lLSID, int lXD, int lYD, int lZD, int lAD);
typedef int (__stdcall *PSetCalibrateDir) (int lLSID, int lXD, int lYD, int lZD, int lAD);
typedef int (__stdcall *PLStepSave) (int lLSID);
typedef int (__stdcall *PSetBPZ) (int lLSID, int lAValue);
typedef int (__stdcall *PSetBPZTrackballFactor) (int lLSID, double dAValue);
typedef int (__stdcall *PSetBPZTrackballBackLash) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PSetBPZJoyspeed) (int lLSID, int lAPar, double dAValue);
typedef int (__stdcall *PSetJoystickWindow) (int lLSID, int lAValue);
typedef int (__stdcall *PSetCurrentDelay) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PMoveEx) (int lLSID, double dX, double dY, double dZ, double dA, BOOL bRelative, BOOL bWait, int lAxisCount);
typedef int (__stdcall *PWaitForAxisStop) (int lLSID, int lAFlags, int lATimeoutValue, BOOL *pbATimeout);
typedef int (__stdcall *PSendStringPosCmd) (int lLSID, char *pcStr, char *pcRet, int lMaxLen, BOOL bReadLine, int lTimeOut);
typedef int (__stdcall *PSendStringPosCmdW) (int lLSID, TCHAR *pcStr, TCHAR *pcRet, int lMaxLen, BOOL bReadLine, int lTimeOut);
typedef int (__stdcall *PSetDigitalOutputs) (int lLSID, int lValue);
typedef int (__stdcall *PSetWriteLogTextFN) (int lLSID, BOOL bAWriteLogText, char *pcALogFN);
typedef int (__stdcall *PSetWriteLogTextFNW) (int lLSID, BOOL bAWriteLogText, TCHAR *pcALogFN);
typedef int (__stdcall *PEnableGlobalLogging) (int lLSID, BOOL bAEnableGlobalLogging);
typedef int (__stdcall *PEnableGuiLogging) (int lLSID, BOOL bAEnableGlobalLogging);
typedef int (__stdcall *PSetDigitalOutputsE) (int lLSID, int lValue);
typedef int (__stdcall *PSetDigOutLinktoSignal) (int lLSID, int lOutput, int ltoSignal);
typedef int (__stdcall *PGetDigOutLinktoSignal) (int lLSID, int lOutput, int *pltoSignal);
typedef int (__stdcall *PSetMonitoringVelFilter) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetMonitoringVelFilter) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetHaltSignalVel) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetHaltSignalVel) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PSetThresholdSignalVel) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetThresholdSignalVel) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PSetInvertDigOutSignal) (int lLSID, int lOutput, BOOL binvert);
typedef int (__stdcall *PGetInvertDigOutSignal) (int lLSID, int lOutput, BOOL *pbinvert);
typedef int (__stdcall *PGetDigitalInputsE) (int lLSID, int *plValue);
typedef int (__stdcall *PEnableCommandRetry) (int lLSID, BOOL bAValue);
typedef int (__stdcall *PSetXYAxisComp) (int lLSID, int lValue);
typedef int (__stdcall *PGetVersionStrDet) (int lLSID, char *pcVersDet, int lMaxLen);
typedef int (__stdcall *PGetVersionStrDetW) (int lLSID, TCHAR *pcVersDet, int lMaxLen);
typedef int (__stdcall *PGetAPIVersion) (int lLSID, char *pcAPIVer, int lMaxLen);
typedef int (__stdcall *PGetAPIVersionW) (int lLSID, TCHAR *pcAPIVer, int lMaxLen);
typedef int (__stdcall *PSetCommandTimeout) (int lLSID, int lAtoRead, int lAtoMove, int lAtoCalibrate);
typedef int (__stdcall *PSetExtValue) (int lLSID, int lAName, int lAValue);
typedef int (__stdcall *PFlushBuffer) (int lLSID, int lAValue);
typedef int (__stdcall *PSetProcessMessagesProc) (int lLSID, void* pProc);
typedef int (__stdcall *PGetEEPRomValue) (int lLSID, byte Offset, byte *pValue);
typedef int (__stdcall *PSetEEPRomValue) (int lLSID, byte Offset, byte Value);
typedef int (__stdcall *PGetXYAxisComp) (int lLSID, int *plValue);
typedef int (__stdcall *PGetDimensions) (int lLSID, int *plXD, int *plYD, int *plZD, int *plAD);
typedef int (__stdcall *PGetPitch) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PGetGear) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PGetVel) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PGetAccel) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PSetVelFac) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PSetVelFacSingleAxis) (int lLSID, int lAxis, double dValue);
typedef int (__stdcall *PGetVelFac) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PGetSpeedPoti) (int lLSID, BOOL *pbSpePoti);
typedef int (__stdcall *PGetMotorCurrent) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PGetReduction) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PGetCurrentDelay) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetOutFuncLev) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetOutFuncLev) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PGetActiveAxes) (int lLSID, int *plFlags);
typedef int (__stdcall *PGetAxisDirection) (int lLSID, int *plXD, int *plYD, int *plZD, int *plAD);
typedef int (__stdcall *PGetCalibOffset) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PGetRMOffset) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PGetCalibrateDir) (int lLSID, int *plXD, int *plYD, int *plZD, int *plAD);
typedef int (__stdcall *PSetCalibBackSpeed) (int lLSID, int lSpeed);
typedef int (__stdcall *PGetCalibBackSpeed) (int lLSID, int *plSpeed);
typedef int (__stdcall *PSetRefSpeed) (int lLSID, int lSpeed);
typedef int (__stdcall *PGetRefSpeed) (int lLSID, int *plSpeed);
typedef int (__stdcall *PSetPowerAmplifier) (int lLSID, BOOL bAmplifier);
typedef int (__stdcall *PGetPowerAmplifier) (int lLSID, BOOL *pbAmplifier);
typedef int (__stdcall *PValidConfig) (int lLSID, int lAxisInt);
typedef int (__stdcall *PValidPar) (int lLSID, int lAxisInt);
typedef int (__stdcall *PSetEqepConfig) (int lLSID, int lWert);
typedef int (__stdcall *PGetEqepConfig) (int lLSID, int *plGetWert);
typedef int (__stdcall *PSetTTLOutConfig) (int lLSID, int lTTLOut);
typedef int (__stdcall *PGetTTLOutConfig) (int lLSID, int *plTTLOut);
typedef int (__stdcall *PSetPoscon) (int lLSID, BOOL bEnable);
typedef int (__stdcall *PGetPoscon) (int lLSID, BOOL *pbEnable);
typedef int (__stdcall *PSetManModePreselection) (int lLSID, int lMMode);
typedef int (__stdcall *PGetManModePreselection) (int lLSID, int *plMMode);
typedef int (__stdcall *PGetManModeLinktoAxisX) (int lLSID, AnsiChar *pLink2);
typedef int (__stdcall *PGetManModeLinktoAxisY) (int lLSID, AnsiChar *pLink2);
typedef int (__stdcall *PGetManModeLinktoAxisZ) (int lLSID, AnsiChar *pLink2);
typedef int (__stdcall *PGetManModeLinktoAxisA) (int lLSID, AnsiChar *pLink2);
typedef int (__stdcall *PSetJoyRedCur) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
typedef int (__stdcall *PSetAnaOutPreset) (int lLSID, int lOutput, int lStartValue);
typedef int (__stdcall *PGetAnaOutPreset) (int lLSID, int *plOutput1, int *plOutput2);
typedef int (__stdcall *PGetJoyRedCur) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
typedef int (__stdcall *PSetJoytoAxis) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetJoytoAxis) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetTipp) (int lLSID, BOOL bTipp);
typedef int (__stdcall *PGetTipp) (int lLSID, BOOL *pbTipp);
typedef int (__stdcall *PSetTippEnable) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
typedef int (__stdcall *PGetTippEnable) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
typedef int (__stdcall *PSetTippRedCur) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
typedef int (__stdcall *PGetTippRedCur) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
typedef int (__stdcall *PSetTippVel) (int lLSID, double dX, double dY, double dZ, double dR);
typedef int (__stdcall *PGetTippVel) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
typedef int (__stdcall *PSetTippDir) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
typedef int (__stdcall *PGetTippDir) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
typedef int (__stdcall *PSetModulo) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
typedef int (__stdcall *PGetModulo) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
typedef int (__stdcall *PSetModuloMode) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetModuloMode) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetEncDir) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
typedef int (__stdcall *PGetEncDir) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
typedef int (__stdcall *PSetEncPolePairs) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetEncPolePairs) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetEnctoAxis) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetEnctoAxis) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetEncType) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetEncType) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetMotortempSensor) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
typedef int (__stdcall *PGetMotortempSensor) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
typedef int (__stdcall *PSetMotortempSensormin) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetMotortempSensormin) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetMotortempSensormax) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetMotortempSensormax) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PGetMotortempSensorValue) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetKommMode) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
typedef int (__stdcall *PGetKommMode) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
typedef int (__stdcall *PSetKommEncDir) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
typedef int (__stdcall *PGetKommEncDir) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
typedef int (__stdcall *PSetKommEncPolePairs) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetKommEncPolePairs) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetKommEnctoAxis) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetKommEnctoAxis) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetKommEncType) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetKommEncType) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetMotorPolePairs) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetMotorPolePairs) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetMotorPolePairRes) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetMotorPolePairRes) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetMotorPoleScale) (int lLSID, double dX, double dY, double dZ, double dR);
typedef int (__stdcall *PGetMotorPoleScale) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
typedef int (__stdcall *PGetSysStat) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PGetSysStatusW) (int lLSID, TCHAR *pcStatus, int lMaxLen);
typedef int (__stdcall *PGetSysStatus) (int lLSID, char *pcStatus, int lMaxLen);
typedef int (__stdcall *PGetStopStatus) (int lLSID, Boolean *pStopStatus);
typedef int (__stdcall *PQuit) (int lLSID);
typedef int (__stdcall *PSetMotorBrakeSwitchOnDelay) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetMotorBrakeSwitchOnDelay) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetMotorBrakeSwitchOffDelay) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetMotorBrakeSwitchOffDelay) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetMotorAutoKommDelay) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetMotorAutoKommDelay) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetMotorAutoKommSpeedScale) (int lLSID, double dX, double dY, double dZ, double dR);
typedef int (__stdcall *PGetMotorAutoKommSpeedScale) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
typedef int (__stdcall *PSetMotorForceConstant) (int lLSID, double dX, double dY, double dZ, double dR);
typedef int (__stdcall *PGetMotorForceConstant) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
typedef int (__stdcall *PSetMotorLoad) (int lLSID, double dX, double dY, double dZ, double dR);
typedef int (__stdcall *PGetMotorLoad) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
typedef int (__stdcall *PSetMotorMomentConstant) (int lLSID, double dX, double dY, double dZ, double dR);
typedef int (__stdcall *PGetMotorMomentConstant) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
typedef int (__stdcall *PSetMotorMomentOfInertia) (int lLSID, double dX, double dY, double dZ, double dR);
typedef int (__stdcall *PGetMotorMomentOfInertia) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
typedef int (__stdcall *PSetPosConKP) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetPosConKP) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetPosConAdaptiveKP) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetPosConAdaptiveKP) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetPosConKI) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetPosConKI) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetPosConAdaptiveKI) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetPosConAdaptiveKI) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetPosConOutPass) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetPosConOutPass) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetPosConAdaptiveOutPass) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetPosConAdaptiveOutPass) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetPosConEnable) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetPosConEnable) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetSpeedConKP) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetSpeedConKP) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetSpeedConKI) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetSpeedConKI) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetSpeedConKD) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetSpeedConKD) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetSpeedConOutPass) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetSpeedConOutPass) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetPosConNominalSpeed) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetPosConNominalSpeed) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PSetPosConAdaptiveSpeed) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetPosConAdaptiveSpeed) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PSetActSpeedFilterConst) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetActSpeedFilterConst) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetSpeedFeedForward) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetSpeedFeedForward) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetActAccelFilterConst) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetActAccelFilterConst) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetAccelFeedForward) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetAccelFeedForward) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetAccelFeedForwardOutPass) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetAccelFeedForwardOutPass) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetPosMode) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
typedef int (__stdcall *PGetPosMode) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
typedef int (__stdcall *PGetSpeedConTN) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PGetPowerAmplifierStatus) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PGetPTemp) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
typedef int (__stdcall *PSetSysSampleRate) (int lLSID, int lrate);
typedef int (__stdcall *PGetSysSampleRate) (int lLSID, int *plrate);
typedef int (__stdcall *PSetAxisMap) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetAxisMap) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetBaud) (int lLSID, int lrate);
typedef int (__stdcall *PGetBaud) (int lLSID, int *plrate);
typedef int (__stdcall *PSetTrigger_Two) (int lLSID, int lStatus);
typedef int (__stdcall *PGetTrigger_Two) (int lLSID, int *plStatus);
typedef int (__stdcall *PSetTriggerDim) (int lLSID, int lDimension);
typedef int (__stdcall *PGetTriggerDim) (int lLSID, int *plDimension);
typedef int (__stdcall *PSetTrigger_TwoDim) (int lLSID, int lDimension);
typedef int (__stdcall *PGetTrigger_TwoDim) (int lLSID, int *plDimension);
typedef int (__stdcall *PSetPosWindowRange) (int lLSID, double dX, double dY, double dZ, double dR);
typedef int (__stdcall *PGetPosWindowRange) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
typedef int (__stdcall *PSetPosWindowTime) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetPosWindowTime) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetPosWindowTimeout) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetPosWindowTimeout) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetPosWindowCheck) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
typedef int (__stdcall *PGetPosWindowCheck) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
typedef int (__stdcall *PSetDeviationRange) (int lLSID, double dX, double dY, double dZ, double dR);
typedef int (__stdcall *PGetDeviationRange) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdR);
typedef int (__stdcall *PSetDeviationTime) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetDeviationTime) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetDeviationCheck) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
typedef int (__stdcall *PGetDeviationCheck) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
typedef int (__stdcall *PSetHalt) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
typedef int (__stdcall *PSetMotorTablePatch) (int lLSID, BOOL bActive);
typedef int (__stdcall *PGetMotorTablePatch) (int lLSID, BOOL *pbActive);
typedef int (__stdcall *PSetJoystickFilter) (int lLSID, BOOL bActive);
typedef int (__stdcall *PGetJoystickFilter) (int lLSID, BOOL *pbActive);
typedef int (__stdcall *PSetStopPolarity) (int lLSID, BOOL bHighActiv);
typedef int (__stdcall *PGetStopPolarity) (int lLSID, BOOL *pbHighActiv);
typedef int (__stdcall *PSetVLevel) (int lLSID, int lVRegion, double dDownLevel, double dUpLevel);
typedef int (__stdcall *PGetVLevel) (int lLSID, int lVRegion, double *pdDownLevel, double *pdUpLevel);
typedef int (__stdcall *PSetStopAccel) (int lLSID, double dXD, double dYD, double dZD, double dAD);
typedef int (__stdcall *PGetStopAccel) (int lLSID, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
typedef int (__stdcall *PGetVersionStrInfo) (int lLSID, char *pcVersInfo, int lMaxLen);
typedef int (__stdcall *PGetVersionStrInfoW) (int lLSID, TCHAR *pcVersInfo, int lMaxLen);
typedef int (__stdcall *PGetStatusLimit) (int lLSID, char *pcLimit, int lMaxLen);
typedef int (__stdcall *PGetStatusLimitW) (int lLSID, TCHAR *pcLimit, int lMaxLen);
typedef int (__stdcall *PGetSecurityErr) (int lLSID, DWORD *pdwValue);
typedef int (__stdcall *PGetSecurityStatus) (int lLSID, DWORD *pdwValue);
typedef int (__stdcall *PGetDelay) (int lLSID, int *plDelay);
typedef int (__stdcall *PGetDistance) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PClearPos) (int lLSID, int lFlags);
typedef int (__stdcall *PSetDigJoySpeed) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetDigJoySpeed) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PGetJoystickDir) (int lLSID, int *plXD, int *plYD, int *plZD, int *plAD);
typedef int (__stdcall *PGetJoystick) (int lLSID, BOOL *pbJoystickOn, BOOL *pbManual, BOOL *pbPositionCount, BOOL *pbEncoder);
typedef int (__stdcall *PGetJoystickWindow) (int lLSID, int *plAValue);
typedef int (__stdcall *PGetHandWheel) (int lLSID, BOOL *pbHandWheelOn, BOOL *pbPositionCount, BOOL *pbEncoder);
typedef int (__stdcall *PGetBPZ) (int lLSID, int *plAValue);
typedef int (__stdcall *PGetBPZTrackballFactor) (int lLSID, double *pdAValue);
typedef int (__stdcall *PGetBPZTrackballBackLash) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PGetBPZJoyspeed) (int lLSID, int lAPar, double *pdAValue);
typedef int (__stdcall *PGetLimitControl) (int lLSID, int lAxis, BOOL *pbActive);
typedef int (__stdcall *PSetAutoLimitAfterCalibRM) (int lLSID, int lFlags);
typedef int (__stdcall *PGetAutoLimitAfterCalibRM) (int lLSID, int *plFlags);
typedef int (__stdcall *PGetSwitchPolarity) (int lLSID, int *plXP, int *plYP, int *plZP, int *plAP);
typedef int (__stdcall *PGetSwitchActive) (int lLSID, int *plXA, int *plYA, int *plZA, int *plAA);
typedef int (__stdcall *PGetTVRMode) (int lLSID, int *plXT, int *plYT, int *plZT, int *plAT);
typedef int (__stdcall *PGetFactorTVR) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PSetTVROutMode) (int lLSID, int lXT, int lYT, int lZT, int lAT);
typedef int (__stdcall *PGetTVROutMode) (int lLSID, int *plXT, int *plYT, int *plZT, int *plAT);
typedef int (__stdcall *PSetTVROutResolution) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetTVROutResolution) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetTVROutPitch) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetTVROutPitch) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PSetVelTVRO) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetVelTVRO) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PSetAccelTVRO) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetAccelTVRO) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PSetVelSingleAxisTVRO) (int lLSID, int lAxis, double dVel);
typedef int (__stdcall *PSetAccelSingleAxisTVRO) (int lLSID, int lAxis, double dAccel);
typedef int (__stdcall *PSetPosTVRO) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetPosTVRO) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PMoveAbsTVRO) (int lLSID, double dX, double dY, double dZ, double dA, BOOL bWait);
typedef int (__stdcall *PMoveRelTVRO) (int lLSID, double dX, double dY, double dZ, double dA, BOOL bWait);
typedef int (__stdcall *PMoveRelTVROSingleAxis) (int lLSID, int lAxis, double dValue, BOOL bWait);
typedef int (__stdcall *PMoveAbsTVROSingleAxis) (int lLSID, int lAxis, double dValue, BOOL bWait);
typedef int (__stdcall *PGetStatusTVRO) (int lLSID, char *pcStat, int lMaxLen);
typedef int (__stdcall *PGetStatusTVROW) (int lLSID, TCHAR *pcStat, int lMaxLen);
typedef int (__stdcall *PSetTargetWindow) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetTargetWindow) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PGetEncoderPeriod) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PGetEncoderRefSignal) (int lLSID, int *plXR, int *plYR, int *plZR, int *plAR);
typedef int (__stdcall *PGetEncoderPosition) (int lLSID, BOOL *pbValue);
typedef int (__stdcall *PGetEncoderActive) (int lLSID, int *plFlags);
typedef int (__stdcall *PGetController) (int lLSID, int *plXC, int *plYC, int *plZC, int *plAC);
typedef int (__stdcall *PGetControllerCall) (int lLSID, int *plCtrCall);
typedef int (__stdcall *PGetControllerSteps) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PGetControllerFactor) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PGetControllerTWDelay) (int lLSID, int *plCtrTWDelay);
typedef int (__stdcall *PGetControllerTimeout) (int lLSID, int *plACtrTimeout);
typedef int (__stdcall *PSetCtrFastMoveOn) (int lLSID);
typedef int (__stdcall *PSetCtrFastMoveOff) (int lLSID);
typedef int (__stdcall *PGetCtrFastMove) (int lLSID, BOOL *pbActive);
typedef int (__stdcall *PClearCtrFastMoveCounter) (int lLSID);
typedef int (__stdcall *PGetCtrFastMoveCounter) (int lLSID, int *plXC, int *plYC, int *plZC, int *plAC);
typedef int (__stdcall *PClearEncoder) (int lLSID, int lAxis);
typedef int (__stdcall *PGetEncoder) (int lLSID, double *pdXP, double *pdYP, double *pdZP, double *pdAP);
typedef int (__stdcall *PGetTrigger) (int lLSID, BOOL *pbATrigger);
typedef int (__stdcall *PGetTrigger_) (int lLSID, int *plATrigger);
typedef int (__stdcall *PGetTriggerPar) (int lLSID, int *plAxis, int *plMode, int *plSignal, double *pdDistance);
typedef int (__stdcall *PGetTrigger_TwoPar) (int lLSID, int *plAxis, int *plMode, int *plSignal, double *pdDistance);
typedef int (__stdcall *PSetTriggerCount) (int lLSID, Cardinal Value);
typedef int (__stdcall *PGetTriggerCount) (int lLSID, Cardinal *pValue);
typedef int (__stdcall *PSetTrigCount) (int lLSID, int lValue);
typedef int (__stdcall *PGetTrigCount) (int lLSID, int *plValue);
typedef int (__stdcall *PSetTrigger_TwoCount) (int lLSID, Cardinal Value);
typedef int (__stdcall *PGetTrigger_TwoCount) (int lLSID, Cardinal *pValue);
typedef int (__stdcall *PSetSnapShotSource) (int lLSID, int lX, int lY, int lZ, int lR);
typedef int (__stdcall *PGetSnapShotSource) (int lLSID, int *plX, int *plY, int *plZ, int *plR);
typedef int (__stdcall *PSetTVRInPulse) (int lLSID, int lAxis, BOOL bDirection);
typedef int (__stdcall *PGetSnapshot) (int lLSID, BOOL *pbASnapshot);
typedef int (__stdcall *PSetSnapshotFilter) (int lLSID, int lTime);
typedef int (__stdcall *PGetSnapshotFilter) (int lLSID, int *plTime);
typedef int (__stdcall *PGetSnapshotPar) (int lLSID, BOOL *pbHigh, BOOL *pbAutoMode);
typedef int (__stdcall *PGetLimit) (int lLSID, int lAxis, double *pdMinRange, double *pdMaxRange);
typedef int (__stdcall *PJoyChangeAxis) (int lLSID, BOOL bValue);
typedef int (__stdcall *PGetJoyChangeAxis) (int lLSID, BOOL *pbValue);
typedef int (__stdcall *PSetDigJoyOff) (int lLSID);
typedef int (__stdcall *PSetInputTrigMove) (int lLSID, int lMode, BOOL bWait);
typedef int (__stdcall *PGetInputTrigMove) (int lLSID, int *plMode);
typedef int (__stdcall *PSetLimitControlMode) (int lLSID, int lMode);
typedef int (__stdcall *PGetLimitControlMode) (int lLSID, int *plMode);
typedef int (__stdcall *PInitialize) (int lLSID, char *pcWorkpath);
typedef int (__stdcall *PInitializeW) (int lLSID, TCHAR *pcWorkpath);
typedef int (__stdcall *PSetAccelJerk) (int lLSID, double dXD, double dYD, double dZD, double dAD);
typedef int (__stdcall *PSetDecelJerk) (int lLSID, double dXD, double dYD, double dZD, double dAD);
typedef int (__stdcall *PSetCalibRMJerk) (int lLSID, double dXD, double dYD, double dZD, double dAD);
typedef int (__stdcall *PSetJoyVel) (int lLSID, double dXD, double dYD, double dZD, double dAD);
typedef int (__stdcall *PGetJoyVel) (int lLSID, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
typedef int (__stdcall *PSetJoyOutPass) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetJoyOutPass) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetTippOutPass) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetTippOutPass) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetMotorBrakeDigOut) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
typedef int (__stdcall *PGetMotorBrakeDigOut) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
typedef int (__stdcall *PGetMotorBrakeOut) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
typedef int (__stdcall *PSetTrackBall) (int lLSID, BOOL bStatus);
typedef int (__stdcall *PGetTrackBall) (int lLSID, BOOL *pbStatus);
typedef int (__stdcall *PSetTrackBallVel) (int lLSID, double dX, double dY, double dZ, double dA);
typedef int (__stdcall *PGetTrackBallVel) (int lLSID, double *pdX, double *pdY, double *pdZ, double *pdA);
typedef int (__stdcall *PSetTrackBallEnable) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
typedef int (__stdcall *PGetTrackBallEnable) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
typedef int (__stdcall *PSetTrackBallRedCur) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
typedef int (__stdcall *PGetTrackBallRedCur) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
typedef int (__stdcall *PSetTrackBallDir) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
typedef int (__stdcall *PGetTrackBallDir) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
typedef int (__stdcall *PSetTrackBallToAxis) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetTrackBallToAxis) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetTrackBallOutPass) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetTrackBallOutPass) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetDigInStatus) (int lLSID, int lstatus, AnsiString *pFeedback);
typedef int (__stdcall *PGetDigInStatus) (int lLSID, int *plstatus);
typedef int (__stdcall *PSetDigInExtStatus) (int lLSID, int lstatus, AnsiString *pFeedback);
typedef int (__stdcall *PGetDigInExtStatus) (int lLSID, int *plstatus);
typedef int (__stdcall *PSetTTLDigOut) (int lLSID, int lstatus);
typedef int (__stdcall *PGetTTLDigOut) (int lLSID, int *plstatus);
typedef int (__stdcall *PGetTTLDigIn) (int lLSID, int *plstatus);
typedef int (__stdcall *PSetTVR) (int lLSID, BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
typedef int (__stdcall *PGetTVR) (int lLSID, BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
typedef int (__stdcall *PSetTVRToAxis) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetTVRToAxis) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetDeceleration) (int lLSID, double dXD, double dYD, double dZD, double dAD);
typedef int (__stdcall *PGetDeceleration) (int lLSID, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
typedef int (__stdcall *PSetDecelSingleAxis) (int lLSID, int lAxis, double dValue);
typedef int (__stdcall *PConfigMaxAxes) (int lLSID, int lnAxes);
typedef int (__stdcall *PSetMotorBrake) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetMotorBrake) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetJoystickAxes) (int lLSID, int lFlags);
typedef int (__stdcall *PGetJoystickAxes) (int lLSID, int *plFlags);
typedef int (__stdcall *PSetJoyVelSkal) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetJoyVelSkal) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetMaxUserCurrent) (int lLSID, double dXD, double dYD, double dZD, double dAD);
typedef int (__stdcall *PGetMaxUserCurrent) (int lLSID, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
typedef int (__stdcall *PSetStopDecel) (int lLSID, double dXD, double dYD, double dZD, double dAD);
typedef int (__stdcall *PGetStopDecel) (int lLSID, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
typedef int (__stdcall *PSetMotorMaxVel) (int lLSID, double dXD, double dYD, double dZD, double dAD);
typedef int (__stdcall *PGetMotorMaxVel) (int lLSID, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
typedef int (__stdcall *PSetMotorStandForce) (int lLSID, double dXD, double dYD, double dZD, double dAD);
typedef int (__stdcall *PGetMotorStandForce) (int lLSID, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
typedef int (__stdcall *PSetMotorStandMoment) (int lLSID, double dXD, double dYD, double dZD, double dAD);
typedef int (__stdcall *PGetMotorStandMoment) (int lLSID, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
typedef int (__stdcall *PSetMotorFieldDir) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetMotorFieldDir) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetMotorType) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetMotorType) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetOsziCallBackFct) (int lLSID, void* pFct);
typedef int (__stdcall *PTranslateErrMsg) (int lLSID, TCHAR *pcMsgIn, TCHAR *pcMsgOut, int lMaxLen);
typedef int (__stdcall *PSetCalibRMAccel) (int lLSID, double dXD, double dYD, double dZD, double dAD);
typedef int (__stdcall *PGetCalibRMAccel) (int lLSID, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
typedef int (__stdcall *PGetCalibRMJerk) (int lLSID, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
typedef int (__stdcall *PSetCalibRMVel) (int lLSID, double dXD, double dYD, double dZD, double dAD);
typedef int (__stdcall *PGetCalibRMVel) (int lLSID, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
typedef int (__stdcall *PSetCalibRMBackSpeed) (int lLSID, double dXD, double dYD, double dZD, double dAD);
typedef int (__stdcall *PGetCalibRMBackSpeed) (int lLSID, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
typedef int (__stdcall *PGetAccelJerk) (int lLSID, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
typedef int (__stdcall *PGetDecelJerk) (int lLSID, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
typedef int (__stdcall *PSetGearDenominator) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetGearDenominator) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetGearNumerator) (int lLSID, int lX, int lY, int lZ, int lA);
typedef int (__stdcall *PGetGearNumerator) (int lLSID, int *plX, int *plY, int *plZ, int *plA);
typedef int (__stdcall *PSetStopDecelJerk) (int lLSID, double dXD, double dYD, double dZD, double dAD);
typedef int (__stdcall *PGetStopDecelJerk) (int lLSID, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
typedef int (__stdcall *PSetSwChange) (int lLSID, int lFlags);
typedef int (__stdcall *PGetSwChange) (int lLSID, int *plFlags);
typedef int (__stdcall *PSetExtCallBackFct) (int lLSID, void* pFct, void* ppprivate);
typedef int (__stdcall *PCreateLSID) (int *plLSID);
typedef int (__stdcall *PFreeLSID) (int lLSID);


class CLStep4X
{

	int			m_DLLResultat;			// DLL-Zugriff ok
	HINSTANCE	        m_LStep4;	                // Handle auf Dll
	int			m_LSID;			        // DLL-Zugriff ok

        // Zeiger Funktion in DLL
        PConnect m_pConnect;
        PConnectSimple m_pConnectSimple;
        PConnectSimpleW m_pConnectSimpleW;
        PConnectEx m_pConnectEx;
        PConnectExW m_pConnectExW;
        PDisconnect m_pDisconnect;
        PLoadConfig m_pLoadConfig;
        PLoadConfigW m_pLoadConfigW;
        PSaveConfig m_pSaveConfig;
        PSaveConfigW m_pSaveConfigW;
        PMoveAbs m_pMoveAbs;
        PMoveRel m_pMoveRel;
        PCalibrate m_pCalibrate;
        PRMeasure m_pRMeasure;
        PSetPitch m_pSetPitch;
        PSetPos m_pSetPos;
        PSetActiveAxes m_pSetActiveAxes;
        PSetVel m_pSetVel;
        PSetAccel m_pSetAccel;
        PSetRoomAccelJerk m_pSetRoomAccelJerk;
        PGetRoomAccelJerk m_pGetRoomAccelJerk;
        PSetRoomDecelJerk m_pSetRoomDecelJerk;
        PGetRoomDecelJerk m_pGetRoomDecelJerk;
        PSetRoomStopJerk m_pSetRoomStopJerk;
        PGetRoomStopJerk m_pGetRoomStopJerk;
        PSetRoomAccel m_pSetRoomAccel;
        PGetRoomAccel m_pGetRoomAccel;
        PSetRoomDecel m_pSetRoomDecel;
        PGetRoomDecel m_pGetRoomDecel;
        PSetRoomStopDecel m_pSetRoomStopDecel;
        PGetRoomStopDecel m_pGetRoomStopDecel;
        PSetRoomVel m_pSetRoomVel;
        PGetRoomVel m_pGetRoomVel;
        PSetReduction m_pSetReduction;
        PSetDelay m_pSetDelay;
        PSetSwitchPolarity m_pSetSwitchPolarity;
        PSetSwitchActive m_pSetSwitchActive;
        PSetJoystickOn m_pSetJoystickOn;
        PSetJoystickOff m_pSetJoystickOff;
        PSoftwareReset m_pSoftwareReset;
        PSetDigitalOutput m_pSetDigitalOutput;
        PGetDigitalInputs m_pGetDigitalInputs;
        PSetAnalogOutput m_pSetAnalogOutput;
        PGetAnalogInput m_pGetAnalogInput;
        PSetLimit m_pSetLimit;
        PSetLimitControl m_pSetLimitControl;
        PGetPos m_pGetPos;
        PGetStatus m_pGetStatus;
        PGetStatusW m_pGetStatusW;
        PGetEncoderMask m_pGetEncoderMask;
        PStopAxes m_pStopAxes;
        PSetAbortFlag m_pSetAbortFlag;
        PMoveRelSingleAxis m_pMoveRelSingleAxis;
        PMoveAbsSingleAxis m_pMoveAbsSingleAxis;
        PMoveSequence m_pMoveSequence;
        PSetControlPars m_pSetControlPars;
        PSetMotorCurrent m_pSetMotorCurrent;
        PSetMotorAutoKommCurrent m_pSetMotorAutoKommCurrent;
        PGetMotorAutoKommCurrent m_pGetMotorAutoKommCurrent;
        PSetMotorpeakCurrent m_pSetMotorpeakCurrent;
        PGetMotorpeakCurrent m_pGetMotorpeakCurrent;
        PSetMotorpeakCurrentTime m_pSetMotorpeakCurrentTime;
        PGetMotorpeakCurrentTime m_pGetMotorpeakCurrentTime;
        PSetMotorIITCheck m_pSetMotorIITCheck;
        PGetMotorIITCheck m_pGetMotorIITCheck;
        PSetVelSingleAxis m_pSetVelSingleAxis;
        PSetAccelSingleAxis m_pSetAccelSingleAxis;
        PCalibrateEx m_pCalibrateEx;
        PRMeasureEx m_pRMeasureEx;
        PSetShowProt m_pSetShowProt;
        PGetAnalogInputs2 m_pGetAnalogInputs2;
        PSendString m_pSendString;
        PSendStringW m_pSendStringW;
        PSetSpeedPoti m_pSetSpeedPoti;
        PSetTVRMode m_pSetTVRMode;
        PSetAutoStatus m_pSetAutoStatus;
        PGetStatusAxis m_pGetStatusAxis;
        PGetStatusAxisW m_pGetStatusAxisW;
        PSetDigIO_Off m_pSetDigIO_Off;
        PSetDigIO_Polarity m_pSetDigIO_Polarity;
        PSetDigIO_EmergencyStop m_pSetDigIO_EmergencyStop;
        PSetDigIO_Distance m_pSetDigIO_Distance;
        PSetDimensions m_pSetDimensions;
        PMoveRelShort m_pMoveRelShort;
        PSetEncoderPeriod m_pSetEncoderPeriod;
        PSetJoystickDir m_pSetJoystickDir;
        PSetEncoderMask m_pSetEncoderMask;
        PSetGear m_pSetGear;
        PSetHandWheelOn m_pSetHandWheelOn;
        PSetHandWheelOff m_pSetHandWheelOff;
        PSetFactorTVR m_pSetFactorTVR;
        PSetController m_pSetController;
        PSetControllerCall m_pSetControllerCall;
        PSetControllerSteps m_pSetControllerSteps;
        PSetControllerFactor m_pSetControllerFactor;
        PSetControllerTWDelay m_pSetControllerTWDelay;
        PSetEncoderRefSignal m_pSetEncoderRefSignal;
        PSetEncoderPosition m_pSetEncoderPosition;
        PGetVersionStr m_pGetVersionStr;
        PGetVersionStrW m_pGetVersionStrW;
        PGetError m_pGetError;
        PGetPosSingleAxis m_pGetPosSingleAxis;
        PSetDistance m_pSetDistance;
        PGetPosEx m_pGetPosEx;
        PSetShowCmdList m_pSetShowCmdList;
        PSetWriteLogText m_pSetWriteLogText;
        PSetControllerTimeout m_pSetControllerTimeout;
        PSetEncoderActive m_pSetEncoderActive;
        PGetSnapshotCount m_pGetSnapshotCount;
        PGetSnapshotPos m_pGetSnapshotPos;
        PSetCorrTblOff m_pSetCorrTblOff;
        PSetCorrTblOn m_pSetCorrTblOn;
        PSetCorrTblOnW m_pSetCorrTblOnW;
        PSetFactorMode m_pSetFactorMode;
        PSetSnapshot m_pSetSnapshot;
        PSetSnapshotPar m_pSetSnapshotPar;
        PSetTrigger m_pSetTrigger;
        PSetTrigger_ m_pSetTrigger_;
        PSetTriggerPar m_pSetTriggerPar;
        PSetTrigger_TwoPar m_pSetTrigger_TwoPar;
        PSetTriggerSource m_pSetTriggerSource;
        PGetTriggerSource m_pGetTriggerSource;
        PSetTrigger_TwoSource m_pSetTrigger_TwoSource;
        PGetTrigger_TwoSource m_pGetTrigger_TwoSource;
        PSetTriggerHysterese m_pSetTriggerHysterese;
        PGetTriggerHysterese m_pGetTriggerHysterese;
        PSetTrigger_TwoHysterese m_pSetTrigger_TwoHysterese;
        PGetTrigger_TwoHysterese m_pGetTrigger_TwoHysterese;
        PSetTriggerPLength m_pSetTriggerPLength;
        PGetTriggerPLength m_pGetTriggerPLength;
        PSetTrigger_TwoPLength m_pSetTrigger_TwoPLength;
        PGetTrigger_TwoPLength m_pGetTrigger_TwoPLength;
        PSetTriggerPulsCount m_pSetTriggerPulsCount;
        PGetTriggerPulsCount m_pGetTriggerPulsCount;
        PSetTrigger_TwoPulsCount m_pSetTrigger_TwoPulsCount;
        PGetTrigger_TwoPulsCount m_pGetTrigger_TwoPulsCount;
        PSetConfigurated m_pSetConfigurated;
        PGetConfigurated m_pGetConfigurated;
        PSetStopMode m_pSetStopMode;
        PGetStopMode m_pGetStopMode;
        PSetStopSwitchOffDelay  m_pSetStopSwitchOffDelay ;
        PGetStopSwitchOffDelay  m_pGetStopSwitchOffDelay ;
        PSetLanguage m_pSetLanguage;
        PSetLanguageW m_pSetLanguageW;
        PGetSwitches m_pGetSwitches;
        PGetSerialNr m_pGetSerialNr;
        PGetSerialNrW m_pGetSerialNrW;
        PSetCSOffset m_pSetCSOffset;
        PGetCSOffset m_pGetCSOffset;
        PSetCalibRMOffsetSWAct m_pSetCalibRMOffsetSWAct;
        PGetCalibRMOffsetSWAct m_pGetCalibRMOffsetSWAct;
        PMoveAbsV m_pMoveAbsV;
        PMoveRelV m_pMoveRelV;
        PGetDeviationValue m_pGetDeviationValue;
        PSetAutoKomm m_pSetAutoKomm;
        PGetAutoKomm m_pGetAutoKomm;
        PGetAutoKommResult m_pGetAutoKommResult;
        PSetTablePos m_pSetTablePos;
        PGetTablePos m_pGetTablePos;
        PSetIndexTableDivider m_pSetIndexTableDivider;
        PGetIndexTableDivider m_pGetIndexTableDivider;
        PMoveTablePosAbs m_pMoveTablePosAbs;
        PMoveTablePosRel m_pMoveTablePosRel;
        PMoveIndexTable m_pMoveIndexTable;
        PSetSpeedEnable m_pSetSpeedEnable;
        PGetSpeedEnable m_pGetSpeedEnable;
        PSetSpeed m_pSetSpeed;
        PGetSpeed m_pGetSpeed;
        PSetMixedMoveAxisMode m_pSetMixedMoveAxisMode;
        PGetMixedMoveAxisMode m_pGetMixedMoveAxisMode;
        PMixedMoveAbs m_pMixedMoveAbs;
        PMixedMoveRel m_pMixedMoveRel;
        PSetMixedMovePos m_pSetMixedMovePos;
        PGetMixedMovePos m_pGetMixedMovePos;
        PSetMixedMoveAmpl m_pSetMixedMoveAmpl;
        PGetMixedMoveAmpl m_pGetMixedMoveAmpl;
        PSetMoveSeqStatusPos m_pSetMoveSeqStatusPos;
        PGetMoveSeqStatusPos m_pGetMoveSeqStatusPos;
        PSetMoveSeqStatus m_pSetMoveSeqStatus;
        PGetMoveSeqStatus m_pGetMoveSeqStatus;
        PSetMoveSeqVar m_pSetMoveSeqVar;
        PGetMoveSeqVar m_pGetMoveSeqVar;
        PSetCalibOffset m_pSetCalibOffset;
        PSetRMOffset m_pSetRMOffset;
        PGetSnapshotPosArray m_pGetSnapshotPosArray;
        PSetAxisDirection m_pSetAxisDirection;
        PSetCalibrateDir m_pSetCalibrateDir;
        PLStepSave m_pLStepSave;
        PSetBPZ m_pSetBPZ;
        PSetBPZTrackballFactor m_pSetBPZTrackballFactor;
        PSetBPZTrackballBackLash m_pSetBPZTrackballBackLash;
        PSetBPZJoyspeed m_pSetBPZJoyspeed;
        PSetJoystickWindow m_pSetJoystickWindow;
        PSetCurrentDelay m_pSetCurrentDelay;
        PMoveEx m_pMoveEx;
        PWaitForAxisStop m_pWaitForAxisStop;
        PSendStringPosCmd m_pSendStringPosCmd;
        PSendStringPosCmdW m_pSendStringPosCmdW;
        PSetDigitalOutputs m_pSetDigitalOutputs;
        PSetWriteLogTextFN m_pSetWriteLogTextFN;
        PSetWriteLogTextFNW m_pSetWriteLogTextFNW;
        PEnableGlobalLogging m_pEnableGlobalLogging;
        PEnableGuiLogging m_pEnableGuiLogging;
        PSetDigitalOutputsE m_pSetDigitalOutputsE;
        PSetDigOutLinktoSignal m_pSetDigOutLinktoSignal;
        PGetDigOutLinktoSignal m_pGetDigOutLinktoSignal;
        PSetMonitoringVelFilter m_pSetMonitoringVelFilter;
        PGetMonitoringVelFilter m_pGetMonitoringVelFilter;
        PSetHaltSignalVel m_pSetHaltSignalVel;
        PGetHaltSignalVel m_pGetHaltSignalVel;
        PSetThresholdSignalVel m_pSetThresholdSignalVel;
        PGetThresholdSignalVel m_pGetThresholdSignalVel;
        PSetInvertDigOutSignal m_pSetInvertDigOutSignal;
        PGetInvertDigOutSignal m_pGetInvertDigOutSignal;
        PGetDigitalInputsE m_pGetDigitalInputsE;
        PEnableCommandRetry m_pEnableCommandRetry;
        PSetXYAxisComp m_pSetXYAxisComp;
        PGetVersionStrDet m_pGetVersionStrDet;
        PGetVersionStrDetW m_pGetVersionStrDetW;
        PGetAPIVersion m_pGetAPIVersion;
        PGetAPIVersionW m_pGetAPIVersionW;
        PSetCommandTimeout m_pSetCommandTimeout;
        PSetExtValue m_pSetExtValue;
        PFlushBuffer m_pFlushBuffer;
        PSetProcessMessagesProc m_pSetProcessMessagesProc;
        PGetEEPRomValue m_pGetEEPRomValue;
        PSetEEPRomValue m_pSetEEPRomValue;
        PGetXYAxisComp m_pGetXYAxisComp;
        PGetDimensions m_pGetDimensions;
        PGetPitch m_pGetPitch;
        PGetGear m_pGetGear;
        PGetVel m_pGetVel;
        PGetAccel m_pGetAccel;
        PSetVelFac m_pSetVelFac;
        PSetVelFacSingleAxis m_pSetVelFacSingleAxis;
        PGetVelFac m_pGetVelFac;
        PGetSpeedPoti m_pGetSpeedPoti;
        PGetMotorCurrent m_pGetMotorCurrent;
        PGetReduction m_pGetReduction;
        PGetCurrentDelay m_pGetCurrentDelay;
        PSetOutFuncLev m_pSetOutFuncLev;
        PGetOutFuncLev m_pGetOutFuncLev;
        PGetActiveAxes m_pGetActiveAxes;
        PGetAxisDirection m_pGetAxisDirection;
        PGetCalibOffset m_pGetCalibOffset;
        PGetRMOffset m_pGetRMOffset;
        PGetCalibrateDir m_pGetCalibrateDir;
        PSetCalibBackSpeed m_pSetCalibBackSpeed;
        PGetCalibBackSpeed m_pGetCalibBackSpeed;
        PSetRefSpeed m_pSetRefSpeed;
        PGetRefSpeed m_pGetRefSpeed;
        PSetPowerAmplifier m_pSetPowerAmplifier;
        PGetPowerAmplifier m_pGetPowerAmplifier;
        PValidConfig m_pValidConfig;
        PValidPar m_pValidPar;
        PSetEqepConfig m_pSetEqepConfig;
        PGetEqepConfig m_pGetEqepConfig;
        PSetTTLOutConfig m_pSetTTLOutConfig;
        PGetTTLOutConfig m_pGetTTLOutConfig;
        PSetPoscon m_pSetPoscon;
        PGetPoscon m_pGetPoscon;
        PSetManModePreselection m_pSetManModePreselection;
        PGetManModePreselection m_pGetManModePreselection;
        PGetManModeLinktoAxisX m_pGetManModeLinktoAxisX;
        PGetManModeLinktoAxisY m_pGetManModeLinktoAxisY;
        PGetManModeLinktoAxisZ m_pGetManModeLinktoAxisZ;
        PGetManModeLinktoAxisA m_pGetManModeLinktoAxisA;
        PSetJoyRedCur m_pSetJoyRedCur;
        PSetAnaOutPreset m_pSetAnaOutPreset;
        PGetAnaOutPreset m_pGetAnaOutPreset;
        PGetJoyRedCur m_pGetJoyRedCur;
        PSetJoytoAxis m_pSetJoytoAxis;
        PGetJoytoAxis m_pGetJoytoAxis;
        PSetTipp m_pSetTipp;
        PGetTipp m_pGetTipp;
        PSetTippEnable m_pSetTippEnable;
        PGetTippEnable m_pGetTippEnable;
        PSetTippRedCur m_pSetTippRedCur;
        PGetTippRedCur m_pGetTippRedCur;
        PSetTippVel m_pSetTippVel;
        PGetTippVel m_pGetTippVel;
        PSetTippDir m_pSetTippDir;
        PGetTippDir m_pGetTippDir;
        PSetModulo m_pSetModulo;
        PGetModulo m_pGetModulo;
        PSetModuloMode m_pSetModuloMode;
        PGetModuloMode m_pGetModuloMode;
        PSetEncDir m_pSetEncDir;
        PGetEncDir m_pGetEncDir;
        PSetEncPolePairs m_pSetEncPolePairs;
        PGetEncPolePairs m_pGetEncPolePairs;
        PSetEnctoAxis m_pSetEnctoAxis;
        PGetEnctoAxis m_pGetEnctoAxis;
        PSetEncType m_pSetEncType;
        PGetEncType m_pGetEncType;
        PSetMotortempSensor m_pSetMotortempSensor;
        PGetMotortempSensor m_pGetMotortempSensor;
        PSetMotortempSensormin m_pSetMotortempSensormin;
        PGetMotortempSensormin m_pGetMotortempSensormin;
        PSetMotortempSensormax m_pSetMotortempSensormax;
        PGetMotortempSensormax m_pGetMotortempSensormax;
        PGetMotortempSensorValue m_pGetMotortempSensorValue;
        PSetKommMode m_pSetKommMode;
        PGetKommMode m_pGetKommMode;
        PSetKommEncDir m_pSetKommEncDir;
        PGetKommEncDir m_pGetKommEncDir;
        PSetKommEncPolePairs m_pSetKommEncPolePairs;
        PGetKommEncPolePairs m_pGetKommEncPolePairs;
        PSetKommEnctoAxis m_pSetKommEnctoAxis;
        PGetKommEnctoAxis m_pGetKommEnctoAxis;
        PSetKommEncType m_pSetKommEncType;
        PGetKommEncType m_pGetKommEncType;
        PSetMotorPolePairs m_pSetMotorPolePairs;
        PGetMotorPolePairs m_pGetMotorPolePairs;
        PSetMotorPolePairRes m_pSetMotorPolePairRes;
        PGetMotorPolePairRes m_pGetMotorPolePairRes;
        PSetMotorPoleScale m_pSetMotorPoleScale;
        PGetMotorPoleScale m_pGetMotorPoleScale;
        PGetSysStat m_pGetSysStat;
        PGetSysStatusW m_pGetSysStatusW;
        PGetSysStatus m_pGetSysStatus;
        PGetStopStatus m_pGetStopStatus;
        PQuit m_pQuit;
        PSetMotorBrakeSwitchOnDelay m_pSetMotorBrakeSwitchOnDelay;
        PGetMotorBrakeSwitchOnDelay m_pGetMotorBrakeSwitchOnDelay;
        PSetMotorBrakeSwitchOffDelay m_pSetMotorBrakeSwitchOffDelay;
        PGetMotorBrakeSwitchOffDelay m_pGetMotorBrakeSwitchOffDelay;
        PSetMotorAutoKommDelay m_pSetMotorAutoKommDelay;
        PGetMotorAutoKommDelay m_pGetMotorAutoKommDelay;
        PSetMotorAutoKommSpeedScale m_pSetMotorAutoKommSpeedScale;
        PGetMotorAutoKommSpeedScale m_pGetMotorAutoKommSpeedScale;
        PSetMotorForceConstant m_pSetMotorForceConstant;
        PGetMotorForceConstant m_pGetMotorForceConstant;
        PSetMotorLoad m_pSetMotorLoad;
        PGetMotorLoad m_pGetMotorLoad;
        PSetMotorMomentConstant m_pSetMotorMomentConstant;
        PGetMotorMomentConstant m_pGetMotorMomentConstant;
        PSetMotorMomentOfInertia m_pSetMotorMomentOfInertia;
        PGetMotorMomentOfInertia m_pGetMotorMomentOfInertia;
        PSetPosConKP m_pSetPosConKP;
        PGetPosConKP m_pGetPosConKP;
        PSetPosConAdaptiveKP m_pSetPosConAdaptiveKP;
        PGetPosConAdaptiveKP m_pGetPosConAdaptiveKP;
        PSetPosConKI m_pSetPosConKI;
        PGetPosConKI m_pGetPosConKI;
        PSetPosConAdaptiveKI m_pSetPosConAdaptiveKI;
        PGetPosConAdaptiveKI m_pGetPosConAdaptiveKI;
        PSetPosConOutPass m_pSetPosConOutPass;
        PGetPosConOutPass m_pGetPosConOutPass;
        PSetPosConAdaptiveOutPass m_pSetPosConAdaptiveOutPass;
        PGetPosConAdaptiveOutPass m_pGetPosConAdaptiveOutPass;
        PSetPosConEnable m_pSetPosConEnable;
        PGetPosConEnable m_pGetPosConEnable;
        PSetSpeedConKP m_pSetSpeedConKP;
        PGetSpeedConKP m_pGetSpeedConKP;
        PSetSpeedConKI m_pSetSpeedConKI;
        PGetSpeedConKI m_pGetSpeedConKI;
        PSetSpeedConKD m_pSetSpeedConKD;
        PGetSpeedConKD m_pGetSpeedConKD;
        PSetSpeedConOutPass m_pSetSpeedConOutPass;
        PGetSpeedConOutPass m_pGetSpeedConOutPass;
        PSetPosConNominalSpeed m_pSetPosConNominalSpeed;
        PGetPosConNominalSpeed m_pGetPosConNominalSpeed;
        PSetPosConAdaptiveSpeed m_pSetPosConAdaptiveSpeed;
        PGetPosConAdaptiveSpeed m_pGetPosConAdaptiveSpeed;
        PSetActSpeedFilterConst m_pSetActSpeedFilterConst;
        PGetActSpeedFilterConst m_pGetActSpeedFilterConst;
        PSetSpeedFeedForward m_pSetSpeedFeedForward;
        PGetSpeedFeedForward m_pGetSpeedFeedForward;
        PSetActAccelFilterConst m_pSetActAccelFilterConst;
        PGetActAccelFilterConst m_pGetActAccelFilterConst;
        PSetAccelFeedForward m_pSetAccelFeedForward;
        PGetAccelFeedForward m_pGetAccelFeedForward;
        PSetAccelFeedForwardOutPass m_pSetAccelFeedForwardOutPass;
        PGetAccelFeedForwardOutPass m_pGetAccelFeedForwardOutPass;
        PSetPosMode m_pSetPosMode;
        PGetPosMode m_pGetPosMode;
        PGetSpeedConTN m_pGetSpeedConTN;
        PGetPowerAmplifierStatus m_pGetPowerAmplifierStatus;
        PGetPTemp m_pGetPTemp;
        PSetSysSampleRate m_pSetSysSampleRate;
        PGetSysSampleRate m_pGetSysSampleRate;
        PSetAxisMap m_pSetAxisMap;
        PGetAxisMap m_pGetAxisMap;
        PSetBaud m_pSetBaud;
        PGetBaud m_pGetBaud;
        PSetTrigger_Two m_pSetTrigger_Two;
        PGetTrigger_Two m_pGetTrigger_Two;
        PSetTriggerDim m_pSetTriggerDim;
        PGetTriggerDim m_pGetTriggerDim;
        PSetTrigger_TwoDim m_pSetTrigger_TwoDim;
        PGetTrigger_TwoDim m_pGetTrigger_TwoDim;
        PSetPosWindowRange m_pSetPosWindowRange;
        PGetPosWindowRange m_pGetPosWindowRange;
        PSetPosWindowTime m_pSetPosWindowTime;
        PGetPosWindowTime m_pGetPosWindowTime;
        PSetPosWindowTimeout m_pSetPosWindowTimeout;
        PGetPosWindowTimeout m_pGetPosWindowTimeout;
        PSetPosWindowCheck m_pSetPosWindowCheck;
        PGetPosWindowCheck m_pGetPosWindowCheck;
        PSetDeviationRange m_pSetDeviationRange;
        PGetDeviationRange m_pGetDeviationRange;
        PSetDeviationTime m_pSetDeviationTime;
        PGetDeviationTime m_pGetDeviationTime;
        PSetDeviationCheck m_pSetDeviationCheck;
        PGetDeviationCheck m_pGetDeviationCheck;
        PSetHalt m_pSetHalt;
        PSetMotorTablePatch m_pSetMotorTablePatch;
        PGetMotorTablePatch m_pGetMotorTablePatch;
        PSetJoystickFilter m_pSetJoystickFilter;
        PGetJoystickFilter m_pGetJoystickFilter;
        PSetStopPolarity m_pSetStopPolarity;
        PGetStopPolarity m_pGetStopPolarity;
        PSetVLevel m_pSetVLevel;
        PGetVLevel m_pGetVLevel;
        PSetStopAccel m_pSetStopAccel;
        PGetStopAccel m_pGetStopAccel;
        PGetVersionStrInfo m_pGetVersionStrInfo;
        PGetVersionStrInfoW m_pGetVersionStrInfoW;
        PGetStatusLimit m_pGetStatusLimit;
        PGetStatusLimitW m_pGetStatusLimitW;
        PGetSecurityErr m_pGetSecurityErr;
        PGetSecurityStatus m_pGetSecurityStatus;
        PGetDelay m_pGetDelay;
        PGetDistance m_pGetDistance;
        PClearPos m_pClearPos;
        PSetDigJoySpeed m_pSetDigJoySpeed;
        PGetDigJoySpeed m_pGetDigJoySpeed;
        PGetJoystickDir m_pGetJoystickDir;
        PGetJoystick m_pGetJoystick;
        PGetJoystickWindow m_pGetJoystickWindow;
        PGetHandWheel m_pGetHandWheel;
        PGetBPZ m_pGetBPZ;
        PGetBPZTrackballFactor m_pGetBPZTrackballFactor;
        PGetBPZTrackballBackLash m_pGetBPZTrackballBackLash;
        PGetBPZJoyspeed m_pGetBPZJoyspeed;
        PGetLimitControl m_pGetLimitControl;
        PSetAutoLimitAfterCalibRM m_pSetAutoLimitAfterCalibRM;
        PGetAutoLimitAfterCalibRM m_pGetAutoLimitAfterCalibRM;
        PGetSwitchPolarity m_pGetSwitchPolarity;
        PGetSwitchActive m_pGetSwitchActive;
        PGetTVRMode m_pGetTVRMode;
        PGetFactorTVR m_pGetFactorTVR;
        PSetTVROutMode m_pSetTVROutMode;
        PGetTVROutMode m_pGetTVROutMode;
        PSetTVROutResolution m_pSetTVROutResolution;
        PGetTVROutResolution m_pGetTVROutResolution;
        PSetTVROutPitch m_pSetTVROutPitch;
        PGetTVROutPitch m_pGetTVROutPitch;
        PSetVelTVRO m_pSetVelTVRO;
        PGetVelTVRO m_pGetVelTVRO;
        PSetAccelTVRO m_pSetAccelTVRO;
        PGetAccelTVRO m_pGetAccelTVRO;
        PSetVelSingleAxisTVRO m_pSetVelSingleAxisTVRO;
        PSetAccelSingleAxisTVRO m_pSetAccelSingleAxisTVRO;
        PSetPosTVRO m_pSetPosTVRO;
        PGetPosTVRO m_pGetPosTVRO;
        PMoveAbsTVRO m_pMoveAbsTVRO;
        PMoveRelTVRO m_pMoveRelTVRO;
        PMoveRelTVROSingleAxis m_pMoveRelTVROSingleAxis;
        PMoveAbsTVROSingleAxis m_pMoveAbsTVROSingleAxis;
        PGetStatusTVRO m_pGetStatusTVRO;
        PGetStatusTVROW m_pGetStatusTVROW;
        PSetTargetWindow m_pSetTargetWindow;
        PGetTargetWindow m_pGetTargetWindow;
        PGetEncoderPeriod m_pGetEncoderPeriod;
        PGetEncoderRefSignal m_pGetEncoderRefSignal;
        PGetEncoderPosition m_pGetEncoderPosition;
        PGetEncoderActive m_pGetEncoderActive;
        PGetController m_pGetController;
        PGetControllerCall m_pGetControllerCall;
        PGetControllerSteps m_pGetControllerSteps;
        PGetControllerFactor m_pGetControllerFactor;
        PGetControllerTWDelay m_pGetControllerTWDelay;
        PGetControllerTimeout m_pGetControllerTimeout;
        PSetCtrFastMoveOn m_pSetCtrFastMoveOn;
        PSetCtrFastMoveOff m_pSetCtrFastMoveOff;
        PGetCtrFastMove m_pGetCtrFastMove;
        PClearCtrFastMoveCounter m_pClearCtrFastMoveCounter;
        PGetCtrFastMoveCounter m_pGetCtrFastMoveCounter;
        PClearEncoder m_pClearEncoder;
        PGetEncoder m_pGetEncoder;
        PGetTrigger m_pGetTrigger;
        PGetTrigger_ m_pGetTrigger_;
        PGetTriggerPar m_pGetTriggerPar;
        PGetTrigger_TwoPar m_pGetTrigger_TwoPar;
        PSetTriggerCount m_pSetTriggerCount;
        PGetTriggerCount m_pGetTriggerCount;
        PSetTrigCount m_pSetTrigCount;
        PGetTrigCount m_pGetTrigCount;
        PSetTrigger_TwoCount m_pSetTrigger_TwoCount;
        PGetTrigger_TwoCount m_pGetTrigger_TwoCount;
        PSetSnapShotSource m_pSetSnapShotSource;
        PGetSnapShotSource m_pGetSnapShotSource;
        PSetTVRInPulse m_pSetTVRInPulse;
        PGetSnapshot m_pGetSnapshot;
        PSetSnapshotFilter m_pSetSnapshotFilter;
        PGetSnapshotFilter m_pGetSnapshotFilter;
        PGetSnapshotPar m_pGetSnapshotPar;
        PGetLimit m_pGetLimit;
        PJoyChangeAxis m_pJoyChangeAxis;
        PGetJoyChangeAxis m_pGetJoyChangeAxis;
        PSetDigJoyOff m_pSetDigJoyOff;
        PSetInputTrigMove m_pSetInputTrigMove;
        PGetInputTrigMove m_pGetInputTrigMove;
        PSetLimitControlMode m_pSetLimitControlMode;
        PGetLimitControlMode m_pGetLimitControlMode;
        PInitialize m_pInitialize;
        PInitializeW m_pInitializeW;
        PSetAccelJerk m_pSetAccelJerk;
        PSetDecelJerk m_pSetDecelJerk;
        PSetCalibRMJerk m_pSetCalibRMJerk;
        PSetJoyVel m_pSetJoyVel;
        PGetJoyVel m_pGetJoyVel;
        PSetJoyOutPass m_pSetJoyOutPass;
        PGetJoyOutPass m_pGetJoyOutPass;
        PSetTippOutPass m_pSetTippOutPass;
        PGetTippOutPass m_pGetTippOutPass;
        PSetMotorBrakeDigOut m_pSetMotorBrakeDigOut;
        PGetMotorBrakeDigOut m_pGetMotorBrakeDigOut;
        PGetMotorBrakeOut m_pGetMotorBrakeOut;
        PSetTrackBall m_pSetTrackBall;
        PGetTrackBall m_pGetTrackBall;
        PSetTrackBallVel m_pSetTrackBallVel;
        PGetTrackBallVel m_pGetTrackBallVel;
        PSetTrackBallEnable m_pSetTrackBallEnable;
        PGetTrackBallEnable m_pGetTrackBallEnable;
        PSetTrackBallRedCur m_pSetTrackBallRedCur;
        PGetTrackBallRedCur m_pGetTrackBallRedCur;
        PSetTrackBallDir m_pSetTrackBallDir;
        PGetTrackBallDir m_pGetTrackBallDir;
        PSetTrackBallToAxis m_pSetTrackBallToAxis;
        PGetTrackBallToAxis m_pGetTrackBallToAxis;
        PSetTrackBallOutPass m_pSetTrackBallOutPass;
        PGetTrackBallOutPass m_pGetTrackBallOutPass;
        PSetDigInStatus m_pSetDigInStatus;
        PGetDigInStatus m_pGetDigInStatus;
        PSetDigInExtStatus m_pSetDigInExtStatus;
        PGetDigInExtStatus m_pGetDigInExtStatus;
        PSetTTLDigOut m_pSetTTLDigOut;
        PGetTTLDigOut m_pGetTTLDigOut;
        PGetTTLDigIn m_pGetTTLDigIn;
        PSetTVR m_pSetTVR;
        PGetTVR m_pGetTVR;
        PSetTVRToAxis m_pSetTVRToAxis;
        PGetTVRToAxis m_pGetTVRToAxis;
        PSetDeceleration m_pSetDeceleration;
        PGetDeceleration m_pGetDeceleration;
        PSetDecelSingleAxis m_pSetDecelSingleAxis;
        PConfigMaxAxes m_pConfigMaxAxes;
        PSetMotorBrake m_pSetMotorBrake;
        PGetMotorBrake m_pGetMotorBrake;
        PSetJoystickAxes m_pSetJoystickAxes;
        PGetJoystickAxes m_pGetJoystickAxes;
        PSetJoyVelSkal m_pSetJoyVelSkal;
        PGetJoyVelSkal m_pGetJoyVelSkal;
        PSetMaxUserCurrent m_pSetMaxUserCurrent;
        PGetMaxUserCurrent m_pGetMaxUserCurrent;
        PSetStopDecel m_pSetStopDecel;
        PGetStopDecel m_pGetStopDecel;
        PSetMotorMaxVel m_pSetMotorMaxVel;
        PGetMotorMaxVel m_pGetMotorMaxVel;
        PSetMotorStandForce m_pSetMotorStandForce;
        PGetMotorStandForce m_pGetMotorStandForce;
        PSetMotorStandMoment m_pSetMotorStandMoment;
        PGetMotorStandMoment m_pGetMotorStandMoment;
        PSetMotorFieldDir m_pSetMotorFieldDir;
        PGetMotorFieldDir m_pGetMotorFieldDir;
        PSetMotorType m_pSetMotorType;
        PGetMotorType m_pGetMotorType;
        PSetOsziCallBackFct m_pSetOsziCallBackFct;
        PTranslateErrMsg m_pTranslateErrMsg;
        PSetCalibRMAccel m_pSetCalibRMAccel;
        PGetCalibRMAccel m_pGetCalibRMAccel;
        PGetCalibRMJerk m_pGetCalibRMJerk;
        PSetCalibRMVel m_pSetCalibRMVel;
        PGetCalibRMVel m_pGetCalibRMVel;
        PSetCalibRMBackSpeed m_pSetCalibRMBackSpeed;
        PGetCalibRMBackSpeed m_pGetCalibRMBackSpeed;
        PGetAccelJerk m_pGetAccelJerk;
        PGetDecelJerk m_pGetDecelJerk;
        PSetGearDenominator m_pSetGearDenominator;
        PGetGearDenominator m_pGetGearDenominator;
        PSetGearNumerator m_pSetGearNumerator;
        PGetGearNumerator m_pGetGearNumerator;
        PSetStopDecelJerk m_pSetStopDecelJerk;
        PGetStopDecelJerk m_pGetStopDecelJerk;
        PSetSwChange m_pSetSwChange;
        PGetSwChange m_pGetSwChange;
        PSetExtCallBackFct m_pSetExtCallBackFct;
        PCreateLSID m_pCreateLSID;
        PFreeLSID m_pFreeLSID;

public:
			CLStep4X();
			~CLStep4X();

 int		GetLSID() {return m_LSID;}
 int		GetDLLLoadResult() {return m_DLLResultat;}; // Funktion, ob Laden der DLL erfolgreich war.
	// sollte Wert 0 zurckgeben

	// Funktionen der Dll
        int Connect ();
        int ConnectSimple (int lAnInterfaceType, char *pcAComName, int lABaudRate, BOOL bAShowProt);
        int ConnectSimpleW (int lAnInterfaceType, TCHAR *pcAComName, int lABaudRate, BOOL bAShowProt);
        int ConnectEx (TLS_ControlInitPar *pAControlInitPar);
        int ConnectExW (TLS_ControlInitParW *pAControlInitPar);
        int Disconnect ();
        int LoadConfig (char *pcFileName);
        int LoadConfigW (TCHAR *pcFileName);
        int SaveConfig (char *pcFileName);
        int SaveConfigW (TCHAR *pcFileName);
        int MoveAbs (double dX, double dY, double dZ, double dA, BOOL bWait);
        int MoveRel (double dX, double dY, double dZ, double dA, BOOL bWait);
        int Calibrate ();
        int RMeasure ();
        int SetPitch (double dX, double dY, double dZ, double dA);
        int SetPos (double dX, double dY, double dZ, double dA);
        int SetActiveAxes (int lFlags);
        int SetVel (double dX, double dY, double dZ, double dA);
        int SetAccel (double dX, double dY, double dZ, double dA);
        int SetRoomAccelJerk (double dvalue);
        int GetRoomAccelJerk (double *pdvalue);
        int SetRoomDecelJerk (double dvalue);
        int GetRoomDecelJerk (double *pdvalue);
        int SetRoomStopJerk (double dvalue);
        int GetRoomStopJerk (double *pdvalue);
        int SetRoomAccel (double dvalue);
        int GetRoomAccel (double *pdvalue);
        int SetRoomDecel (double dvalue);
        int GetRoomDecel (double *pdvalue);
        int SetRoomStopDecel (double dvalue);
        int GetRoomStopDecel (double *pdvalue);
        int SetRoomVel (double dvalue);
        int GetRoomVel (double *pdvalue);
        int SetReduction (double dX, double dY, double dZ, double dA);
        int SetDelay (int lDelay);
        int SetSwitchPolarity (int lXP, int lYP, int lZP, int lAP);
        int SetSwitchActive (int lXA, int lYA, int lZA, int lAA);
        int SetJoystickOn (BOOL bPositionCount, BOOL bEncoder);
        int SetJoystickOff ();
        int SoftwareReset ();
        int SetDigitalOutput (int lIndex, BOOL bValue);
        int GetDigitalInputs (int *plValue);
        int SetAnalogOutput (int lIndex, int lValue);
        int GetAnalogInput (int lIndex, int *plValue);
        int SetLimit (int lAxis, double dMinRange, double dMaxRange);
        int SetLimitControl (int lAxis, BOOL bActive);
        int GetPos (double *pdX, double *pdY, double *pdZ, double *pdA);
        int GetStatus (char *pcStat, int lMaxLen);
        int GetStatusW (TCHAR *pcStat, int lMaxLen);
        int GetEncoderMask (int *plFlags);
        int StopAxes ();
        int SetAbortFlag ();
        int MoveRelSingleAxis (int lAxis, double dValue, BOOL bWait);
        int MoveAbsSingleAxis (int lAxis, double dValue, BOOL bWait);
        int MoveSequence (int lnMode, BOOL bWait);
        int SetControlPars ();
        int SetMotorCurrent (double dX, double dY, double dZ, double dA);
        int SetMotorAutoKommCurrent (double dX, double dY, double dZ, double dA);
        int GetMotorAutoKommCurrent (double *pdX, double *pdY, double *pdZ, double *pdA);
        int SetMotorpeakCurrent (double dX, double dY, double dZ, double dA);
        int GetMotorpeakCurrent (double *pdX, double *pdY, double *pdZ, double *pdA);
        int SetMotorpeakCurrentTime (int lX, int lY, int lZ, int lA);
        int GetMotorpeakCurrentTime (int *plX, int *plY, int *plZ, int *plA);
        int SetMotorIITCheck (BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
        int GetMotorIITCheck (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
        int SetVelSingleAxis (int lAxis, double dVel);
        int SetAccelSingleAxis (int lAxis, double dAccel);
        int CalibrateEx (int lFlags);
        int RMeasureEx (int lFlags);
        int SetShowProt (BOOL bShowProt);
        int GetAnalogInputs2 (int *plPT100, int *plMV, int *plV24);
        int SendString (char *pcStr, char *pcRet, int lMaxLen, BOOL bReadLine, int lTimeOut);
        int SendStringW (TCHAR *pcStr, TCHAR *pcRet, int lMaxLen, BOOL bReadLine, int lTimeOut);
        int SetSpeedPoti (BOOL bSpeedPoti);
        int SetTVRMode (int lXT, int lYT, int lZT, int lAT);
        int SetAutoStatus (int lValue);
        int GetStatusAxis (char *pcStatusAxisStr, int lMaxLen);
        int GetStatusAxisW (TCHAR *pcStatusAxisStr, int lMaxLen);
        int SetDigIO_Off (int lIndex);
        int SetDigIO_Polarity (int lIndex, BOOL bHigh);
        int SetDigIO_EmergencyStop (int lIndex);
        int SetDigIO_Distance (int lIndex, BOOL bFkt, double dDist, int lAxis);
        int SetDimensions (int lXD, int lYD, int lZD, int lAD);
        int MoveRelShort ();
        int SetEncoderPeriod (double dX, double dY, double dZ, double dA);
        int SetJoystickDir (int lXD, int lYD, int lZD, int lAD);
        int SetEncoderMask (int lValue);
        int SetGear (double dX, double dY, double dZ, double dA);
        int SetHandWheelOn (BOOL bPositionCount, BOOL bEncoder);
        int SetHandWheelOff ();
        int SetFactorTVR (double dX, double dY, double dZ, double dA);
        int SetController (int lXC, int lYC, int lZC, int lAC);
        int SetControllerCall (int lCtrCall);
        int SetControllerSteps (double dX, double dY, double dZ, double dA);
        int SetControllerFactor (double dX, double dY, double dZ, double dA);
        int SetControllerTWDelay (int lCtrTWDelay);
        int SetEncoderRefSignal (int lXR, int lYR, int lZR, int lAR);
        int SetEncoderPosition (BOOL bValue);
        int GetVersionStr (char *pcVers, int lMaxLen);
        int GetVersionStrW (TCHAR *pcVers, int lMaxLen);
        int GetError (int *plErrorCode);
        int GetPosSingleAxis (int lAxis, double *pdPos);
        int SetDistance (double dX, double dY, double dZ, double dA);
        int GetPosEx (double *pdX, double *pdY, double *pdZ, double *pdA, BOOL bEncoder);
        int SetShowCmdList (BOOL bShowCmdList);
        int SetWriteLogText (BOOL bAWriteLogText);
        int SetControllerTimeout (int lACtrTimeout);
        int SetEncoderActive (int lFlags);
        int GetSnapshotCount (int *plSnsCount);
        int GetSnapshotPos (double *pdX, double *pdY, double *pdZ, double *pdA);
        int SetCorrTblOff ();
        int SetCorrTblOn (char *pcAFileName);
        int SetCorrTblOnW (TCHAR *pcAFileName);
        int SetFactorMode (BOOL bAFactorMode, double dX, double dY, double dZ, double dA);
        int SetSnapshot (BOOL bASnapshot);
        int SetSnapshotPar (BOOL bHigh, BOOL bAutoMode);
        int SetTrigger (BOOL bATrigger);
        int SetTrigger_ (int lATrigger);
        int SetTriggerPar (int lAxis, int lMode, int lSignal, double dDistance);
        int SetTrigger_TwoPar (int lAxis, int lMode, int lSignal, double dDistance);
        int SetTriggerSource (int lSource);
        int GetTriggerSource (int *plSource);
        int SetTrigger_TwoSource (int lSource);
        int GetTrigger_TwoSource (int *plSource);
        int SetTriggerHysterese (double dHysterese);
        int GetTriggerHysterese (double *pdHysterese);
        int SetTrigger_TwoHysterese (double dHysterese);
        int GetTrigger_TwoHysterese (double *pdHysterese);
        int SetTriggerPLength (int lLength);
        int GetTriggerPLength (int *plLength);
        int SetTrigger_TwoPLength (int lLength);
        int GetTrigger_TwoPLength (int *plLength);
        int SetTriggerPulsCount (int lCount);
        int GetTriggerPulsCount (int *plCount);
        int SetTrigger_TwoPulsCount (int lCount);
        int GetTrigger_TwoPulsCount (int *plCount);
        int SetConfigurated (BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
        int GetConfigurated (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
        int SetStopMode (int lMode);
        int GetStopMode (int *plMode);
        int SetStopSwitchOffDelay  (int ldelay);
        int GetStopSwitchOffDelay  (int *pldelay);
        int SetLanguage (char *pcPLN);
        int SetLanguageW (TCHAR *pcPLN);
        int GetSwitches (int *plFlags);
        int GetSerialNr (char *pcSerialNr, int lMaxLen);
        int GetSerialNrW (TCHAR *pcSerialNr, int lMaxLen);
        int SetCSOffset (double dX, double dY, double dZ, double dA);
        int GetCSOffset (double *pdX, double *pdY, double *pdZ, double *pdA);
        int SetCalibRMOffsetSWAct (BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
        int GetCalibRMOffsetSWAct (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
        int MoveAbsV (double dX, double dY, double dZ, double dA, AnsiString *pFeedback);
        int MoveRelV (double dX, double dY, double dZ, double dA, AnsiString *pFeedback);
        int GetDeviationValue (double *pdXD, double *pdYD, double *pdZD, double *pdAD);
        int SetAutoKomm (AnsiString *pFeedback);
        int GetAutoKomm (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
        int GetAutoKommResult (double *pdX1, double *pdX2, double *pdY1, double *pdY2, double *pdZ1, double *pdZ2, double *pdA1, double *pdA2);
        int SetTablePos (int lPosition, double dXD, double dYD, double dZD, double dAD);
        int GetTablePos (int lPosition, double *pdXD, double *pdYD, double *pdZD, double *pdAD);
        int SetIndexTableDivider (int lX, int lY, int lZ, int lA);
        int GetIndexTableDivider (int *plX, int *plY, int *plZ, int *plA);
        int MoveTablePosAbs (int lX, int lY, int lZ, int lA, AnsiString *pFeedback);
        int MoveTablePosRel (int lX, int lY, int lZ, int lA, AnsiString *pFeedback);
        int MoveIndexTable (int lX, int lY, int lZ, int lA, AnsiString *pFeedback);
        int SetSpeedEnable (BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
        int GetSpeedEnable (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
        int SetSpeed (int lX, int lY, int lZ, int lA);
        int GetSpeed (int *plX, int *plY, int *plZ, int *plA);
        int SetMixedMoveAxisMode (int lX, int lY, int lZ, int lA);
        int GetMixedMoveAxisMode (int *plX, int *plY, int *plZ, int *plA);
        int MixedMoveAbs (double dX, double dY, double dZ, double dA, AnsiString *pFeedback);
        int MixedMoveRel (double dX, double dY, double dZ, double dA, AnsiString *pFeedback);
        int SetMixedMovePos (double dX, double dY, double dZ, double dA);
        int GetMixedMovePos (double *pdX, double *pdY, double *pdZ, double *pdA);
        int SetMixedMoveAmpl (double dX, double dY, double dZ, double dA);
        int GetMixedMoveAmpl (double *pdX, double *pdY, double *pdZ, double *pdA);
        int SetMoveSeqStatusPos (BOOL bstatus);
        int GetMoveSeqStatusPos (BOOL *pbstatus);
        int SetMoveSeqStatus (int lstatus, AnsiString *pFeedback);
        int GetMoveSeqStatus (int *plstatus, int *plline);
        int SetMoveSeqVar (double da, double db, double dc, double dd, double de);
        int GetMoveSeqVar (double *pda, double *pdb, double *pdc, double *pdd, double *pde);
        int SetCalibOffset (double dX, double dY, double dZ, double dA);
        int SetRMOffset (double dX, double dY, double dZ, double dA);
        int GetSnapshotPosArray (int lIndex, double *pdX, double *pdY, double *pdZ, double *pdA);
        int SetAxisDirection (int lXD, int lYD, int lZD, int lAD);
        int SetCalibrateDir (int lXD, int lYD, int lZD, int lAD);
        int LStepSave ();
        int SetBPZ (int lAValue);
        int SetBPZTrackballFactor (double dAValue);
        int SetBPZTrackballBackLash (double dX, double dY, double dZ, double dA);
        int SetBPZJoyspeed (int lAPar, double dAValue);
        int SetJoystickWindow (int lAValue);
        int SetCurrentDelay (int lX, int lY, int lZ, int lA);
        int MoveEx (double dX, double dY, double dZ, double dA, BOOL bRelative, BOOL bWait, int lAxisCount);
        int WaitForAxisStop (int lAFlags, int lATimeoutValue, BOOL *pbATimeout);
        int SendStringPosCmd (char *pcStr, char *pcRet, int lMaxLen, BOOL bReadLine, int lTimeOut);
        int SendStringPosCmdW (TCHAR *pcStr, TCHAR *pcRet, int lMaxLen, BOOL bReadLine, int lTimeOut);
        int SetDigitalOutputs (int lValue);
        int SetWriteLogTextFN (BOOL bAWriteLogText, char *pcALogFN);
        int SetWriteLogTextFNW (BOOL bAWriteLogText, TCHAR *pcALogFN);
        int EnableGlobalLogging (BOOL bAEnableGlobalLogging);
        int EnableGuiLogging (BOOL bAEnableGlobalLogging);
        int SetDigitalOutputsE (int lValue);
        int SetDigOutLinktoSignal (int lOutput, int ltoSignal);
        int GetDigOutLinktoSignal (int lOutput, int *pltoSignal);
        int SetMonitoringVelFilter (int lX, int lY, int lZ, int lA);
        int GetMonitoringVelFilter (int *plX, int *plY, int *plZ, int *plA);
        int SetHaltSignalVel (double dX, double dY, double dZ, double dA);
        int GetHaltSignalVel (double *pdX, double *pdY, double *pdZ, double *pdA);
        int SetThresholdSignalVel (double dX, double dY, double dZ, double dA);
        int GetThresholdSignalVel (double *pdX, double *pdY, double *pdZ, double *pdA);
        int SetInvertDigOutSignal (int lOutput, BOOL binvert);
        int GetInvertDigOutSignal (int lOutput, BOOL *pbinvert);
        int GetDigitalInputsE (int *plValue);
        int EnableCommandRetry (BOOL bAValue);
        int SetXYAxisComp (int lValue);
        int GetVersionStrDet (char *pcVersDet, int lMaxLen);
        int GetVersionStrDetW (TCHAR *pcVersDet, int lMaxLen);
        int GetAPIVersion (char *pcAPIVer, int lMaxLen);
        int GetAPIVersionW (TCHAR *pcAPIVer, int lMaxLen);
        int SetCommandTimeout (int lAtoRead, int lAtoMove, int lAtoCalibrate);
        int SetExtValue (int lAName, int lAValue);
        int FlushBuffer (int lAValue);
        int SetProcessMessagesProc (void* pProc);
        int GetEEPRomValue (byte Offset, byte *pValue);
        int SetEEPRomValue (byte Offset, byte Value);
        int GetXYAxisComp (int *plValue);
        int GetDimensions (int *plXD, int *plYD, int *plZD, int *plAD);
        int GetPitch (double *pdX, double *pdY, double *pdZ, double *pdA);
        int GetGear (double *pdX, double *pdY, double *pdZ, double *pdA);
        int GetVel (double *pdX, double *pdY, double *pdZ, double *pdA);
        int GetAccel (double *pdX, double *pdY, double *pdZ, double *pdA);
        int SetVelFac (double dX, double dY, double dZ, double dA);
        int SetVelFacSingleAxis (int lAxis, double dValue);
        int GetVelFac (double *pdX, double *pdY, double *pdZ, double *pdA);
        int GetSpeedPoti (BOOL *pbSpePoti);
        int GetMotorCurrent (double *pdX, double *pdY, double *pdZ, double *pdA);
        int GetReduction (double *pdX, double *pdY, double *pdZ, double *pdA);
        int GetCurrentDelay (int *plX, int *plY, int *plZ, int *plA);
        int SetOutFuncLev (double dX, double dY, double dZ, double dA);
        int GetOutFuncLev (double *pdX, double *pdY, double *pdZ, double *pdA);
        int GetActiveAxes (int *plFlags);
        int GetAxisDirection (int *plXD, int *plYD, int *plZD, int *plAD);
        int GetCalibOffset (double *pdX, double *pdY, double *pdZ, double *pdA);
        int GetRMOffset (double *pdX, double *pdY, double *pdZ, double *pdA);
        int GetCalibrateDir (int *plXD, int *plYD, int *plZD, int *plAD);
        int SetCalibBackSpeed (int lSpeed);
        int GetCalibBackSpeed (int *plSpeed);
        int SetRefSpeed (int lSpeed);
        int GetRefSpeed (int *plSpeed);
        int SetPowerAmplifier (BOOL bAmplifier);
        int GetPowerAmplifier (BOOL *pbAmplifier);
        int ValidConfig (int lAxisInt);
        int ValidPar (int lAxisInt);
        int SetEqepConfig (int lWert);
        int GetEqepConfig (int *plGetWert);
        int SetTTLOutConfig (int lTTLOut);
        int GetTTLOutConfig (int *plTTLOut);
        int SetPoscon (BOOL bEnable);
        int GetPoscon (BOOL *pbEnable);
        int SetManModePreselection (int lMMode);
        int GetManModePreselection (int *plMMode);
        int GetManModeLinktoAxisX (AnsiChar *pLink2);
        int GetManModeLinktoAxisY (AnsiChar *pLink2);
        int GetManModeLinktoAxisZ (AnsiChar *pLink2);
        int GetManModeLinktoAxisA (AnsiChar *pLink2);
        int SetJoyRedCur (BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
        int SetAnaOutPreset (int lOutput, int lStartValue);
        int GetAnaOutPreset (int *plOutput1, int *plOutput2);
        int GetJoyRedCur (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
        int SetJoytoAxis (int lX, int lY, int lZ, int lR);
        int GetJoytoAxis (int *plX, int *plY, int *plZ, int *plR);
        int SetTipp (BOOL bTipp);
        int GetTipp (BOOL *pbTipp);
        int SetTippEnable (BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
        int GetTippEnable (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
        int SetTippRedCur (BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
        int GetTippRedCur (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
        int SetTippVel (double dX, double dY, double dZ, double dR);
        int GetTippVel (double *pdX, double *pdY, double *pdZ, double *pdR);
        int SetTippDir (BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
        int GetTippDir (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
        int SetModulo (BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
        int GetModulo (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
        int SetModuloMode (int lX, int lY, int lZ, int lR);
        int GetModuloMode (int *plX, int *plY, int *plZ, int *plR);
        int SetEncDir (BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
        int GetEncDir (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
        int SetEncPolePairs (int lX, int lY, int lZ, int lR);
        int GetEncPolePairs (int *plX, int *plY, int *plZ, int *plR);
        int SetEnctoAxis (int lX, int lY, int lZ, int lR);
        int GetEnctoAxis (int *plX, int *plY, int *plZ, int *plR);
        int SetEncType (int lX, int lY, int lZ, int lR);
        int GetEncType (int *plX, int *plY, int *plZ, int *plR);
        int SetMotortempSensor (BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
        int GetMotortempSensor (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
        int SetMotortempSensormin (int lX, int lY, int lZ, int lR);
        int GetMotortempSensormin (int *plX, int *plY, int *plZ, int *plR);
        int SetMotortempSensormax (int lX, int lY, int lZ, int lR);
        int GetMotortempSensormax (int *plX, int *plY, int *plZ, int *plR);
        int GetMotortempSensorValue (int *plX, int *plY, int *plZ, int *plR);
        int SetKommMode (BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
        int GetKommMode (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
        int SetKommEncDir (BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
        int GetKommEncDir (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
        int SetKommEncPolePairs (int lX, int lY, int lZ, int lR);
        int GetKommEncPolePairs (int *plX, int *plY, int *plZ, int *plR);
        int SetKommEnctoAxis (int lX, int lY, int lZ, int lR);
        int GetKommEnctoAxis (int *plX, int *plY, int *plZ, int *plR);
        int SetKommEncType (int lX, int lY, int lZ, int lR);
        int GetKommEncType (int *plX, int *plY, int *plZ, int *plR);
        int SetMotorPolePairs (int lX, int lY, int lZ, int lR);
        int GetMotorPolePairs (int *plX, int *plY, int *plZ, int *plR);
        int SetMotorPolePairRes (int lX, int lY, int lZ, int lR);
        int GetMotorPolePairRes (int *plX, int *plY, int *plZ, int *plR);
        int SetMotorPoleScale (double dX, double dY, double dZ, double dR);
        int GetMotorPoleScale (double *pdX, double *pdY, double *pdZ, double *pdR);
        int GetSysStat (int *plX, int *plY, int *plZ, int *plR);
        int GetSysStatusW (TCHAR *pcStatus, int lMaxLen);
        int GetSysStatus (char *pcStatus, int lMaxLen);
        int GetStopStatus (Boolean *pStopStatus);
        int Quit ();
        int SetMotorBrakeSwitchOnDelay (int lX, int lY, int lZ, int lR);
        int GetMotorBrakeSwitchOnDelay (int *plX, int *plY, int *plZ, int *plR);
        int SetMotorBrakeSwitchOffDelay (int lX, int lY, int lZ, int lR);
        int GetMotorBrakeSwitchOffDelay (int *plX, int *plY, int *plZ, int *plR);
        int SetMotorAutoKommDelay (int lX, int lY, int lZ, int lR);
        int GetMotorAutoKommDelay (int *plX, int *plY, int *plZ, int *plR);
        int SetMotorAutoKommSpeedScale (double dX, double dY, double dZ, double dR);
        int GetMotorAutoKommSpeedScale (double *pdX, double *pdY, double *pdZ, double *pdR);
        int SetMotorForceConstant (double dX, double dY, double dZ, double dR);
        int GetMotorForceConstant (double *pdX, double *pdY, double *pdZ, double *pdR);
        int SetMotorLoad (double dX, double dY, double dZ, double dR);
        int GetMotorLoad (double *pdX, double *pdY, double *pdZ, double *pdR);
        int SetMotorMomentConstant (double dX, double dY, double dZ, double dR);
        int GetMotorMomentConstant (double *pdX, double *pdY, double *pdZ, double *pdR);
        int SetMotorMomentOfInertia (double dX, double dY, double dZ, double dR);
        int GetMotorMomentOfInertia (double *pdX, double *pdY, double *pdZ, double *pdR);
        int SetPosConKP (int lX, int lY, int lZ, int lA);
        int GetPosConKP (int *plX, int *plY, int *plZ, int *plA);
        int SetPosConAdaptiveKP (int lX, int lY, int lZ, int lA);
        int GetPosConAdaptiveKP (int *plX, int *plY, int *plZ, int *plA);
        int SetPosConKI (int lX, int lY, int lZ, int lA);
        int GetPosConKI (int *plX, int *plY, int *plZ, int *plA);
        int SetPosConAdaptiveKI (int lX, int lY, int lZ, int lA);
        int GetPosConAdaptiveKI (int *plX, int *plY, int *plZ, int *plA);
        int SetPosConOutPass (int lX, int lY, int lZ, int lA);
        int GetPosConOutPass (int *plX, int *plY, int *plZ, int *plA);
        int SetPosConAdaptiveOutPass (int lX, int lY, int lZ, int lA);
        int GetPosConAdaptiveOutPass (int *plX, int *plY, int *plZ, int *plA);
        int SetPosConEnable (int lX, int lY, int lZ, int lA);
        int GetPosConEnable (int *plX, int *plY, int *plZ, int *plA);
        int SetSpeedConKP (int lX, int lY, int lZ, int lA);
        int GetSpeedConKP (int *plX, int *plY, int *plZ, int *plA);
        int SetSpeedConKI (int lX, int lY, int lZ, int lA);
        int GetSpeedConKI (int *plX, int *plY, int *plZ, int *plA);
        int SetSpeedConKD (int lX, int lY, int lZ, int lA);
        int GetSpeedConKD (int *plX, int *plY, int *plZ, int *plA);
        int SetSpeedConOutPass (int lX, int lY, int lZ, int lA);
        int GetSpeedConOutPass (int *plX, int *plY, int *plZ, int *plA);
        int SetPosConNominalSpeed (double dX, double dY, double dZ, double dA);
        int GetPosConNominalSpeed (double *pdX, double *pdY, double *pdZ, double *pdA);
        int SetPosConAdaptiveSpeed (double dX, double dY, double dZ, double dA);
        int GetPosConAdaptiveSpeed (double *pdX, double *pdY, double *pdZ, double *pdA);
        int SetActSpeedFilterConst (int lX, int lY, int lZ, int lA);
        int GetActSpeedFilterConst (int *plX, int *plY, int *plZ, int *plA);
        int SetSpeedFeedForward (int lX, int lY, int lZ, int lA);
        int GetSpeedFeedForward (int *plX, int *plY, int *plZ, int *plA);
        int SetActAccelFilterConst (int lX, int lY, int lZ, int lA);
        int GetActAccelFilterConst (int *plX, int *plY, int *plZ, int *plA);
        int SetAccelFeedForward (int lX, int lY, int lZ, int lA);
        int GetAccelFeedForward (int *plX, int *plY, int *plZ, int *plA);
        int SetAccelFeedForwardOutPass (int lX, int lY, int lZ, int lA);
        int GetAccelFeedForwardOutPass (int *plX, int *plY, int *plZ, int *plA);
        int SetPosMode (BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
        int GetPosMode (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
        int GetSpeedConTN (double *pdX, double *pdY, double *pdZ, double *pdA);
        int GetPowerAmplifierStatus (int *plX, int *plY, int *plZ, int *plR);
        int GetPTemp (double *pdX, double *pdY, double *pdZ, double *pdR);
        int SetSysSampleRate (int lrate);
        int GetSysSampleRate (int *plrate);
        int SetAxisMap (int lX, int lY, int lZ, int lR);
        int GetAxisMap (int *plX, int *plY, int *plZ, int *plR);
        int SetBaud (int lrate);
        int GetBaud (int *plrate);
        int SetTrigger_Two (int lStatus);
        int GetTrigger_Two (int *plStatus);
        int SetTriggerDim (int lDimension);
        int GetTriggerDim (int *plDimension);
        int SetTrigger_TwoDim (int lDimension);
        int GetTrigger_TwoDim (int *plDimension);
        int SetPosWindowRange (double dX, double dY, double dZ, double dR);
        int GetPosWindowRange (double *pdX, double *pdY, double *pdZ, double *pdR);
        int SetPosWindowTime (int lX, int lY, int lZ, int lR);
        int GetPosWindowTime (int *plX, int *plY, int *plZ, int *plR);
        int SetPosWindowTimeout (int lX, int lY, int lZ, int lR);
        int GetPosWindowTimeout (int *plX, int *plY, int *plZ, int *plR);
        int SetPosWindowCheck (BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
        int GetPosWindowCheck (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
        int SetDeviationRange (double dX, double dY, double dZ, double dR);
        int GetDeviationRange (double *pdX, double *pdY, double *pdZ, double *pdR);
        int SetDeviationTime (int lX, int lY, int lZ, int lR);
        int GetDeviationTime (int *plX, int *plY, int *plZ, int *plR);
        int SetDeviationCheck (BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
        int GetDeviationCheck (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbR);
        int SetHalt (BOOL bX, BOOL bY, BOOL bZ, BOOL bR);
        int SetMotorTablePatch (BOOL bActive);
        int GetMotorTablePatch (BOOL *pbActive);
        int SetJoystickFilter (BOOL bActive);
        int GetJoystickFilter (BOOL *pbActive);
        int SetStopPolarity (BOOL bHighActiv);
        int GetStopPolarity (BOOL *pbHighActiv);
        int SetVLevel (int lVRegion, double dDownLevel, double dUpLevel);
        int GetVLevel (int lVRegion, double *pdDownLevel, double *pdUpLevel);
        int SetStopAccel (double dXD, double dYD, double dZD, double dAD);
        int GetStopAccel (double *pdXD, double *pdYD, double *pdZD, double *pdAD);
        int GetVersionStrInfo (char *pcVersInfo, int lMaxLen);
        int GetVersionStrInfoW (TCHAR *pcVersInfo, int lMaxLen);
        int GetStatusLimit (char *pcLimit, int lMaxLen);
        int GetStatusLimitW (TCHAR *pcLimit, int lMaxLen);
        int GetSecurityErr (DWORD *pdwValue);
        int GetSecurityStatus (DWORD *pdwValue);
        int GetDelay (int *plDelay);
        int GetDistance (double *pdX, double *pdY, double *pdZ, double *pdA);
        int ClearPos (int lFlags);
        int SetDigJoySpeed (double dX, double dY, double dZ, double dA);
        int GetDigJoySpeed (double *pdX, double *pdY, double *pdZ, double *pdA);
        int GetJoystickDir (int *plXD, int *plYD, int *plZD, int *plAD);
        int GetJoystick (BOOL *pbJoystickOn, BOOL *pbManual, BOOL *pbPositionCount, BOOL *pbEncoder);
        int GetJoystickWindow (int *plAValue);
        int GetHandWheel (BOOL *pbHandWheelOn, BOOL *pbPositionCount, BOOL *pbEncoder);
        int GetBPZ (int *plAValue);
        int GetBPZTrackballFactor (double *pdAValue);
        int GetBPZTrackballBackLash (double *pdX, double *pdY, double *pdZ, double *pdA);
        int GetBPZJoyspeed (int lAPar, double *pdAValue);
        int GetLimitControl (int lAxis, BOOL *pbActive);
        int SetAutoLimitAfterCalibRM (int lFlags);
        int GetAutoLimitAfterCalibRM (int *plFlags);
        int GetSwitchPolarity (int *plXP, int *plYP, int *plZP, int *plAP);
        int GetSwitchActive (int *plXA, int *plYA, int *plZA, int *plAA);
        int GetTVRMode (int *plXT, int *plYT, int *plZT, int *plAT);
        int GetFactorTVR (double *pdX, double *pdY, double *pdZ, double *pdA);
        int SetTVROutMode (int lXT, int lYT, int lZT, int lAT);
        int GetTVROutMode (int *plXT, int *plYT, int *plZT, int *plAT);
        int SetTVROutResolution (int lX, int lY, int lZ, int lA);
        int GetTVROutResolution (int *plX, int *plY, int *plZ, int *plA);
        int SetTVROutPitch (double dX, double dY, double dZ, double dA);
        int GetTVROutPitch (double *pdX, double *pdY, double *pdZ, double *pdA);
        int SetVelTVRO (double dX, double dY, double dZ, double dA);
        int GetVelTVRO (double *pdX, double *pdY, double *pdZ, double *pdA);
        int SetAccelTVRO (double dX, double dY, double dZ, double dA);
        int GetAccelTVRO (double *pdX, double *pdY, double *pdZ, double *pdA);
        int SetVelSingleAxisTVRO (int lAxis, double dVel);
        int SetAccelSingleAxisTVRO (int lAxis, double dAccel);
        int SetPosTVRO (double dX, double dY, double dZ, double dA);
        int GetPosTVRO (double *pdX, double *pdY, double *pdZ, double *pdA);
        int MoveAbsTVRO (double dX, double dY, double dZ, double dA, BOOL bWait);
        int MoveRelTVRO (double dX, double dY, double dZ, double dA, BOOL bWait);
        int MoveRelTVROSingleAxis (int lAxis, double dValue, BOOL bWait);
        int MoveAbsTVROSingleAxis (int lAxis, double dValue, BOOL bWait);
        int GetStatusTVRO (char *pcStat, int lMaxLen);
        int GetStatusTVROW (TCHAR *pcStat, int lMaxLen);
        int SetTargetWindow (double dX, double dY, double dZ, double dA);
        int GetTargetWindow (double *pdX, double *pdY, double *pdZ, double *pdA);
        int GetEncoderPeriod (double *pdX, double *pdY, double *pdZ, double *pdA);
        int GetEncoderRefSignal (int *plXR, int *plYR, int *plZR, int *plAR);
        int GetEncoderPosition (BOOL *pbValue);
        int GetEncoderActive (int *plFlags);
        int GetController (int *plXC, int *plYC, int *plZC, int *plAC);
        int GetControllerCall (int *plCtrCall);
        int GetControllerSteps (double *pdX, double *pdY, double *pdZ, double *pdA);
        int GetControllerFactor (double *pdX, double *pdY, double *pdZ, double *pdA);
        int GetControllerTWDelay (int *plCtrTWDelay);
        int GetControllerTimeout (int *plACtrTimeout);
        int SetCtrFastMoveOn ();
        int SetCtrFastMoveOff ();
        int GetCtrFastMove (BOOL *pbActive);
        int ClearCtrFastMoveCounter ();
        int GetCtrFastMoveCounter (int *plXC, int *plYC, int *plZC, int *plAC);
        int ClearEncoder (int lAxis);
        int GetEncoder (double *pdXP, double *pdYP, double *pdZP, double *pdAP);
        int GetTrigger (BOOL *pbATrigger);
        int GetTrigger_ (int *plATrigger);
        int GetTriggerPar (int *plAxis, int *plMode, int *plSignal, double *pdDistance);
        int GetTrigger_TwoPar (int *plAxis, int *plMode, int *plSignal, double *pdDistance);
        int SetTriggerCount (Cardinal Value);
        int GetTriggerCount (Cardinal *pValue);
        int SetTrigCount (int lValue);
        int GetTrigCount (int *plValue);
        int SetTrigger_TwoCount (Cardinal Value);
        int GetTrigger_TwoCount (Cardinal *pValue);
        int SetSnapShotSource (int lX, int lY, int lZ, int lR);
        int GetSnapShotSource (int *plX, int *plY, int *plZ, int *plR);
        int SetTVRInPulse (int lAxis, BOOL bDirection);
        int GetSnapshot (BOOL *pbASnapshot);
        int SetSnapshotFilter (int lTime);
        int GetSnapshotFilter (int *plTime);
        int GetSnapshotPar (BOOL *pbHigh, BOOL *pbAutoMode);
        int GetLimit (int lAxis, double *pdMinRange, double *pdMaxRange);
        int JoyChangeAxis (BOOL bValue);
        int GetJoyChangeAxis (BOOL *pbValue);
        int SetDigJoyOff ();
        int SetInputTrigMove (int lMode, BOOL bWait);
        int GetInputTrigMove (int *plMode);
        int SetLimitControlMode (int lMode);
        int GetLimitControlMode (int *plMode);
        int Initialize (char *pcWorkpath);
        int InitializeW (TCHAR *pcWorkpath);
        int SetAccelJerk (double dXD, double dYD, double dZD, double dAD);
        int SetDecelJerk (double dXD, double dYD, double dZD, double dAD);
        int SetCalibRMJerk (double dXD, double dYD, double dZD, double dAD);
        int SetJoyVel (double dXD, double dYD, double dZD, double dAD);
        int GetJoyVel (double *pdXD, double *pdYD, double *pdZD, double *pdAD);
        int SetJoyOutPass (int lX, int lY, int lZ, int lA);
        int GetJoyOutPass (int *plX, int *plY, int *plZ, int *plA);
        int SetTippOutPass (int lX, int lY, int lZ, int lA);
        int GetTippOutPass (int *plX, int *plY, int *plZ, int *plA);
        int SetMotorBrakeDigOut (BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
        int GetMotorBrakeDigOut (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
        int GetMotorBrakeOut (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
        int SetTrackBall (BOOL bStatus);
        int GetTrackBall (BOOL *pbStatus);
        int SetTrackBallVel (double dX, double dY, double dZ, double dA);
        int GetTrackBallVel (double *pdX, double *pdY, double *pdZ, double *pdA);
        int SetTrackBallEnable (BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
        int GetTrackBallEnable (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
        int SetTrackBallRedCur (BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
        int GetTrackBallRedCur (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
        int SetTrackBallDir (BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
        int GetTrackBallDir (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
        int SetTrackBallToAxis (int lX, int lY, int lZ, int lA);
        int GetTrackBallToAxis (int *plX, int *plY, int *plZ, int *plA);
        int SetTrackBallOutPass (int lX, int lY, int lZ, int lA);
        int GetTrackBallOutPass (int *plX, int *plY, int *plZ, int *plA);
        int SetDigInStatus (int lstatus, AnsiString *pFeedback);
        int GetDigInStatus (int *plstatus);
        int SetDigInExtStatus (int lstatus, AnsiString *pFeedback);
        int GetDigInExtStatus (int *plstatus);
        int SetTTLDigOut (int lstatus);
        int GetTTLDigOut (int *plstatus);
        int GetTTLDigIn (int *plstatus);
        int SetTVR (BOOL bX, BOOL bY, BOOL bZ, BOOL bA);
        int GetTVR (BOOL *pbX, BOOL *pbY, BOOL *pbZ, BOOL *pbA);
        int SetTVRToAxis (int lX, int lY, int lZ, int lA);
        int GetTVRToAxis (int *plX, int *plY, int *plZ, int *plA);
        int SetDeceleration (double dXD, double dYD, double dZD, double dAD);
        int GetDeceleration (double *pdXD, double *pdYD, double *pdZD, double *pdAD);
        int SetDecelSingleAxis (int lAxis, double dValue);
        int ConfigMaxAxes (int lnAxes);
        int SetMotorBrake (int lX, int lY, int lZ, int lA);
        int GetMotorBrake (int *plX, int *plY, int *plZ, int *plA);
        int SetJoystickAxes (int lFlags);
        int GetJoystickAxes (int *plFlags);
        int SetJoyVelSkal (int lX, int lY, int lZ, int lA);
        int GetJoyVelSkal (int *plX, int *plY, int *plZ, int *plA);
        int SetMaxUserCurrent (double dXD, double dYD, double dZD, double dAD);
        int GetMaxUserCurrent (double *pdXD, double *pdYD, double *pdZD, double *pdAD);
        int SetStopDecel (double dXD, double dYD, double dZD, double dAD);
        int GetStopDecel (double *pdXD, double *pdYD, double *pdZD, double *pdAD);
        int SetMotorMaxVel (double dXD, double dYD, double dZD, double dAD);
        int GetMotorMaxVel (double *pdXD, double *pdYD, double *pdZD, double *pdAD);
        int SetMotorStandForce (double dXD, double dYD, double dZD, double dAD);
        int GetMotorStandForce (double *pdXD, double *pdYD, double *pdZD, double *pdAD);
        int SetMotorStandMoment (double dXD, double dYD, double dZD, double dAD);
        int GetMotorStandMoment (double *pdXD, double *pdYD, double *pdZD, double *pdAD);
        int SetMotorFieldDir (int lX, int lY, int lZ, int lA);
        int GetMotorFieldDir (int *plX, int *plY, int *plZ, int *plA);
        int SetMotorType (int lX, int lY, int lZ, int lA);
        int GetMotorType (int *plX, int *plY, int *plZ, int *plA);
        int SetOsziCallBackFct (void* pFct);
        int TranslateErrMsg (TCHAR *pcMsgIn, TCHAR *pcMsgOut, int lMaxLen);
        int SetCalibRMAccel (double dXD, double dYD, double dZD, double dAD);
        int GetCalibRMAccel (double *pdXD, double *pdYD, double *pdZD, double *pdAD);
        int GetCalibRMJerk (double *pdXD, double *pdYD, double *pdZD, double *pdAD);
        int SetCalibRMVel (double dXD, double dYD, double dZD, double dAD);
        int GetCalibRMVel (double *pdXD, double *pdYD, double *pdZD, double *pdAD);
        int SetCalibRMBackSpeed (double dXD, double dYD, double dZD, double dAD);
        int GetCalibRMBackSpeed (double *pdXD, double *pdYD, double *pdZD, double *pdAD);
        int GetAccelJerk (double *pdXD, double *pdYD, double *pdZD, double *pdAD);
        int GetDecelJerk (double *pdXD, double *pdYD, double *pdZD, double *pdAD);
        int SetGearDenominator (int lX, int lY, int lZ, int lA);
        int GetGearDenominator (int *plX, int *plY, int *plZ, int *plA);
        int SetGearNumerator (int lX, int lY, int lZ, int lA);
        int GetGearNumerator (int *plX, int *plY, int *plZ, int *plA);
        int SetStopDecelJerk (double dXD, double dYD, double dZD, double dAD);
        int GetStopDecelJerk (double *pdXD, double *pdYD, double *pdZD, double *pdAD);
        int SetSwChange (int lFlags);
        int GetSwChange (int *plFlags);
        int SetExtCallBackFct (void* pFct, void* ppprivate);
    };

#endif // __CLStep4X__
