unit LStep4X;

interface

const
  LStep4Dll = 'LStep4X.dll';
  XAxis = 1;
  YAxis = 2;
  ZAxis = 3;
  AAxis = 4;

type
  TLS_ControlInitPar = packed record
    Size: Integer;
    InterfaceType: Integer;
    ComName: string[32];
    ShowProt: LongBool;
    ShowCmdList: LongBool;

    BaudRate: Integer;
    IOAddress: LongWord;
    CardIndex: Integer;

    ControlType: Integer;
    VersionStr: string[64];
    Axes: Integer;
    ErrorCode: Integer;
    NewCmds: LongBool;
    Encoder: Integer;
    Display, SpeedPoti, HandWheel, Snapshot, TVR, TriggerOut: LongBool;

    DemoMode: LongBool;
  end;

   TLS_ControlInitParW = packed record
    Size: Integer;
    InterfaceType: Integer;
    ComNameW: array [0..31] of WideChar;
    ShowProt: LongBool;
    ShowCmdList: LongBool;

    BaudRate: Integer;
    IOAddress: LongWord;
    CardIndex: Integer;

    ControlType: Integer;
    VersionStrW: array [0..63] of WideChar;
    Axes: Integer;
    ErrorCode: Integer;
    NewCmds: LongBool;
    Encoder: Integer;
    Display, SpeedPoti, HandWheel, Snapshot, TVR, TriggerOut: LongBool;

    DemoMode: LongBool;
  end;


function LSX_Connect(LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_ConnectSimple(LSID: Integer; AnInterfaceType: Integer; AComName: PAnsiChar; ABaudRate: Integer; AShowProt: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_ConnectSimpleW(LSID: Integer; AnInterfaceType: Integer; AComName: PWideChar; ABaudRate: Integer; AShowProt: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_ConnectEx(LSID: Integer; var AControlInitPar: TLS_ControlInitPar): Integer; stdcall; external LStep4Dll;
function LSX_ConnectExW(LSID: Integer; var AControlInitPar: TLS_ControlInitParW): Integer; stdcall; external LStep4Dll;
function LSX_Disconnect(LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_LoadConfig(LSID: Integer; FileName: PAnsiChar): Integer; stdcall; external LStep4Dll;
function LSX_LoadConfigW(LSID: Integer; FileName: PWideChar): Integer; stdcall; external LStep4Dll;
function LSX_SaveConfig(LSID: Integer; FileName: PAnsiChar): Integer; stdcall; external LStep4Dll;
function LSX_SaveConfigW(LSID: Integer; FileName: PWideChar): Integer; stdcall; external LStep4Dll;
function LSX_MoveAbs(LSID: Integer; X: Double; Y: Double; Z: Double; A: Double; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_MoveRel(LSID: Integer; X: Double; Y: Double; Z: Double; A: Double; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_Calibrate(LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_RMeasure(LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetPitch(LSID: Integer; X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetPos(LSID: Integer; X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetActiveAxes(LSID: Integer; Flags: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetVel(LSID: Integer; X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetAccel(LSID: Integer; X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetReduction(LSID: Integer; X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetDelay(LSID: Integer; Delay: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetSwitchPolarity(LSID: Integer; XP: Integer; YP: Integer; ZP: Integer; AP: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetSwitchActive(LSID: Integer; XA: Integer; YA: Integer; ZA: Integer; AA: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetJoystickOn(LSID: Integer; PositionCount: LongBool; Encoder: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetJoystickOff(LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SoftwareReset(LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetDigitalOutput(LSID: Integer; Index: Integer; Value: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetDigitalInputs(LSID: Integer; var Value: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetAnalogOutput(LSID: Integer; Index: Integer; Value: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetAnalogInput(LSID: Integer; Index: Integer; var Value: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetLimit(LSID: Integer; Axis: Integer; MinRange: Double; MaxRange: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetLimitControl(LSID: Integer; Axis: Integer; Active: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetPos(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetStatus(LSID: Integer; Stat: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetStatusW(LSID: Integer; Stat: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetEncoderMask(LSID: Integer; var Flags: Integer): Integer; stdcall; external LStep4Dll;
function LSX_StopAxes(LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetAbortFlag(LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_MoveRelSingleAxis(LSID: Integer; Axis: Integer; Value: Double; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_MoveAbsSingleAxis(LSID: Integer; Axis: Integer; Value: Double; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetControlPars(LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetMotorCurrent(LSID: Integer; X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetVelSingleAxis(LSID: Integer; Axis: Integer; Vel: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetAccelSingleAxis(LSID: Integer; Axis: Integer; Accel: Double): Integer; stdcall; external LStep4Dll;
function LSX_CalibrateEx(LSID: Integer; Flags: Integer): Integer; stdcall; external LStep4Dll;
function LSX_RMeasureEx(LSID: Integer; Flags: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetShowProt(LSID: Integer; ShowProt: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetAnalogInputs2(LSID: Integer; var PT100: Integer; var MV: Integer; var V24: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SendString(LSID: Integer; Str: PAnsiChar; Ret: PAnsiChar; MaxLen: Integer; ReadLine: LongBool; TimeOut: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SendStringW(LSID: Integer; Str: PWideChar; Ret: PWideChar; MaxLen: Integer; ReadLine: LongBool; TimeOut: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetSpeedPoti(LSID: Integer; SpeedPoti: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetTVRMode(LSID: Integer; XT: Integer; YT: Integer; ZT: Integer; AT: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetAutoStatus(LSID: Integer; Value: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetStatusAxis(LSID: Integer; StatusAxisStr: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetStatusAxisW(LSID: Integer; StatusAxisStr: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetDigIO_Off(LSID: Integer; Index: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetDigIO_Polarity(LSID: Integer; Index: Integer; High: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetDigIO_EmergencyStop(LSID: Integer; Index: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetDigIO_Distance(LSID: Integer; Index: Integer; Fkt: LongBool; Dist: Double; Axis: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetDimensions(LSID: Integer; XD: Integer; YD: Integer; ZD: Integer; AD: Integer): Integer; stdcall; external LStep4Dll;
function LSX_MoveRelShort(LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetEncoderPeriod(LSID: Integer; X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetJoystickDir(LSID: Integer; XD: Integer; YD: Integer; ZD: Integer; AD: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetEncoderMask(LSID: Integer; Value: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetGear(LSID: Integer; X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetHandWheelOn(LSID: Integer; PositionCount: LongBool; Encoder: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetHandWheelOff(LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetFactorTVR(LSID: Integer; X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetController(LSID: Integer; XC: Integer; YC: Integer; ZC: Integer; AC: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetControllerCall(LSID: Integer; CtrCall: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetControllerSteps(LSID: Integer; X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetControllerFactor(LSID: Integer; X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetControllerTWDelay(LSID: Integer; CtrTWDelay: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetEncoderRefSignal(LSID: Integer; XR: Integer; YR: Integer; ZR: Integer; AR: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetEncoderPosition(LSID: Integer; Value: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetVersionStr(LSID: Integer; Vers: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetVersionStrW(LSID: Integer; Vers: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetError(LSID: Integer; var ErrorCode: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetPosSingleAxis(LSID: Integer; Axis: Integer; var Pos: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetDistance(LSID: Integer; X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetPosEx(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double; Encoder: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetShowCmdList(LSID: Integer; ShowCmdList: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetWriteLogText(LSID: Integer; AWriteLogText: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetControllerTimeout(LSID: Integer; ACtrTimeout: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetEncoderActive(LSID: Integer; Flags: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetSnapshotCount(LSID: Integer; var SnsCount: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetSnapshotPos(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetCorrTblOff(LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetCorrTblOn(LSID: Integer; AFileName: PAnsiChar): Integer; stdcall; external LStep4Dll;
function LSX_SetCorrTblOnW(LSID: Integer; AFileName: PWideChar): Integer; stdcall; external LStep4Dll;
function LSX_SetFactorMode(LSID: Integer; AFactorMode: LongBool; X: Double; Y: Double; Z: Double; A: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetSnapshot(LSID: Integer; ASnapshot: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetSnapshotPar(LSID: Integer; High: LongBool; AutoMode: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetTrigger(LSID: Integer; ATrigger: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetTriggerPar(LSID: Integer; Axis: Integer; Mode: Integer; Signal: Integer; Distance: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetLanguage(LSID: Integer; PLN: PAnsiChar): Integer; stdcall; external LStep4Dll;
function LSX_SetLanguageW(LSID: Integer; PLN: PWideChar): Integer; stdcall; external LStep4Dll;
function LSX_GetSwitches(LSID: Integer; var Flags: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetSerialNr(LSID: Integer; SerialNr: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetSerialNrW(LSID: Integer; SerialNr: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetCalibOffset(LSID: Integer; X: Double; Y: Double; Z: Double; R: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetRMOffset(LSID: Integer; X: Double; Y: Double; Z: Double; R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetSnapshotPosArray(LSID: Integer; Index: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetAxisDirection(LSID: Integer; XD: Integer; YD: Integer; ZD: Integer; AD: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetCalibrateDir(LSID: Integer; XD: Integer; YD: Integer; ZD: Integer; AD: Integer): Integer; stdcall; external LStep4Dll;
function LSX_LStepSave(LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetBPZ(LSID: Integer; AValue: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetBPZTrackballFactor(LSID: Integer; AValue: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetBPZTrackballBackLash(LSID: Integer; X: Double; Y: Double; Z: Double; R: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetBPZJoyspeed(LSID: Integer; APar: Integer; AValue: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetJoystickWindow(LSID: Integer; AValue: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetCurrentDelay(LSID: Integer; X: Integer; Y: Integer; Z: Integer; R: Integer): Integer; stdcall; external LStep4Dll;
function LSX_MoveEx(LSID: Integer; X: Double; Y: Double; Z: Double; R: Double; Relative: LongBool; Wait: LongBool; AxisCount: Integer): Integer; stdcall; external LStep4Dll;
function LSX_WaitForAxisStop(LSID: Integer; AFlags: Integer; ATimeoutValue: Integer; var ATimeout: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SendStringPosCmd(LSID: Integer; Str: PAnsiChar; Ret: PAnsiChar; MaxLen: Integer; ReadLine: LongBool; TimeOut: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SendStringPosCmdW(LSID: Integer; Str: PWideChar; Ret: PWideChar; MaxLen: Integer; ReadLine: LongBool; TimeOut: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetDigitalOutputs(LSID: Integer; Value: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetWriteLogTextFN(LSID: Integer; AWriteLogText: LongBool; ALogFN: PAnsiChar): Integer; stdcall; external LStep4Dll;
function LSX_SetWriteLogTextFNW(LSID: Integer; AWriteLogText: LongBool; ALogFN: PWideChar): Integer; stdcall; external LStep4Dll;
function LSX_SetDigitalOutputsE(LSID: Integer; Value: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetDigitalInputsE(LSID: Integer; var Value: Integer): Integer; stdcall; external LStep4Dll;
function LSX_EnableCommandRetry(LSID: Integer; AValue: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetXYAxisComp(LSID: Integer; Value: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetVersionStrDet(LSID: Integer; VersDet: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetVersionStrDetW(LSID: Integer; VersDet: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetAPIVersion(LSID: Integer; APIVer: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetAPIVersionW(LSID: Integer; APIVer: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetCommandTimeout(LSID: Integer; AtoRead: Integer; AtoMove: Integer; AtoCalibrate: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetExtValue(LSID: Integer; AName: Integer; AValue: Integer): Integer; stdcall; external LStep4Dll;
function LSX_FlushBuffer(LSID: Integer; AValue: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetProcessMessagesProc(LSID: Integer; Proc: Pointer): Integer; stdcall; external LStep4Dll;
function LSX_GetEEPRomValue(LSID: Integer; Offset: byte; var Value: byte): Integer; stdcall; external LStep4Dll;
function LSX_SetEEPRomValue(LSID: Integer; Offset: byte; Value: byte): Integer; stdcall; external LStep4Dll;
function LSX_GetXYAxisComp(LSID: Integer; var Value: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetDimensions(LSID: Integer; var XD: Integer; var YD: Integer; var ZD: Integer; var AD: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetPitch(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetGear(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetVel(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetAccel(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetVelFac(LSID: Integer; X: Double; Y: Double; Z: Double; R: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetVelFacSingleAxis(LSID: Integer; Axis: Integer; X: Double; Y: Double; Z: Double; R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetVelFac(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetSpeedPoti(LSID: Integer; var SpePoti: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetMotorCurrent(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetReduction(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var A: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetCurrentDelay(LSID: Integer; var X: Integer; var Y: Integer; var Z: Integer; var R: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetOutFuncLev(LSID: Integer; X: Double; Y: Double; Z: Double; R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetOutFuncLev(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetActiveAxes(LSID: Integer; var Flags: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetAxisDirection(LSID: Integer; var XD: Integer; var YD: Integer; var ZD: Integer; var AD: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetCalibOffset(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetRMOffset(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetCalibrateDir(LSID: Integer; var XD: Integer; var YD: Integer; var ZD: Integer; var AD: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetCalibBackSpeed(LSID: Integer; Speed: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetCalibBackSpeed(LSID: Integer; var Speed: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetRefSpeed(LSID: Integer; Speed: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetRefSpeed(LSID: Integer; var Speed: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetPowerAmplifier(LSID: Integer; Amplifier: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetPowerAmplifier(LSID: Integer; var Amplifier: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetMotorTablePatch(LSID: Integer; Active: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetMotorTablePatch(LSID: Integer; var Active: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetJoystickFilter(LSID: Integer; Active: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetJoystickFilter(LSID: Integer; var Active: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetStopPolarity(LSID: Integer; HighActiv: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetStopPolarity(LSID: Integer; var HighActiv: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetVLevel(LSID: Integer; VRegion: Integer; DownLevel: Double; UppLevel: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetVLevel(LSID: Integer; VRegion: Integer; var DownLevel: Double; var UppLevel: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetStopAccel(LSID: Integer; XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetStopAccel(LSID: Integer; var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetVersionStrInfo(LSID: Integer; VersInfo: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetVersionStrInfoW(LSID: Integer; VersInfo: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetStatusLimit(LSID: Integer; Limit: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetStatusLimitW(LSID: Integer; Limit: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetSecurityErr(LSID: Integer; var Value: LongWord): Integer; stdcall; external LStep4Dll;
function LSX_GetSecurityStatus(LSID: Integer; var Value: LongWord): Integer; stdcall; external LStep4Dll;
function LSX_GetDelay(LSID: Integer; var Delay: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetDistance(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double): Integer; stdcall; external LStep4Dll;
function LSX_ClearPos(LSID: Integer; Flags: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetDigJoySpeed(LSID: Integer; X: Double; Y: Double; Z: Double; R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetDigJoySpeed(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetJoystickDir(LSID: Integer; var XD: Integer; var YD: Integer; var ZD: Integer; var RD: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetJoystick(LSID: Integer; var JoystickOn: LongBool; var Manual: LongBool; var PositionCount: LongBool; var Encoder: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetJoystickWindow(LSID: Integer; var AValue: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetHandWheel(LSID: Integer; var HandWheelOn: LongBool; var PositionCount: LongBool; var Encoder: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetBPZ(LSID: Integer; var AValue: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetBPZTrackballFactor(LSID: Integer; var AValue: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetBPZTrackballBackLash(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetBPZJoyspeed(LSID: Integer; APar: Integer; var AValue: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetLimitControl(LSID: Integer; Axis: Integer; var Active: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetAutoLimitAfterCalibRM(LSID: Integer; Flags: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetAutoLimitAfterCalibRM(LSID: Integer; var Flags: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetSwitchPolarity(LSID: Integer; var XP: Integer; var YP: Integer; var ZP: Integer; var RP: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetSwitchActive(LSID: Integer; var XA: Integer; var YA: Integer; var ZA: Integer; var RA: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetTVRMode(LSID: Integer; var XT: Integer; var YT: Integer; var ZT: Integer; var RT: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetFactorTVR(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetTVROutMode(LSID: Integer; XT: Integer; YT: Integer; ZT: Integer; RT: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetTVROutMode(LSID: Integer; var XT: Integer; var YT: Integer; var ZT: Integer; var RT: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetTVROutResolution(LSID: Integer; X: Integer; Y: Integer; Z: Integer; R: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetTVROutResolution(LSID: Integer; var X: Integer; var Y: Integer; var Z: Integer; var R: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetTVROutPitch(LSID: Integer; X: Double; Y: Double; Z: Double; R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetTVROutPitch(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetVelTVRO(LSID: Integer; X: Double; Y: Double; Z: Double; R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetVelTVRO(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetAccelTVRO(LSID: Integer; X: Double; Y: Double; Z: Double; R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetAccelTVRO(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetVelSingleAxisTVRO(LSID: Integer; Axis: Integer; Vel: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetAccelSingleAxisTVRO(LSID: Integer; Axis: Integer; Accel: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetPosTVRO(LSID: Integer; X: Double; Y: Double; Z: Double; R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetPosTVRO(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double): Integer; stdcall; external LStep4Dll;
function LSX_MoveAbsTVRO(LSID: Integer; X: Double; Y: Double; Z: Double; R: Double; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_MoveRelTVRO(LSID: Integer; X: Double; Y: Double; Z: Double; R: Double; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_MoveRelTVROSingleAxis(LSID: Integer; Axis: Integer; Value: Double; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_MoveAbsTVROSingleAxis(LSID: Integer; Axis: Integer; Value: Double; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetStatusTVRO(LSID: Integer; Stat: PAnsiChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetStatusTVROW(LSID: Integer; Stat: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetTargetWindow(LSID: Integer; X: Double; Y: Double; Z: Double; R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetTargetWindow(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetEncoderPeriod(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetEncoderRefSignal(LSID: Integer; var XR: Integer; var YR: Integer; var ZR: Integer; var RR: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetEncoderPosition(LSID: Integer; var Value: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetEncoderActive(LSID: Integer; var Flags: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetController(LSID: Integer; var XC: Integer; var YC: Integer; var ZC: Integer; var RC: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetControllerCall(LSID: Integer; var CtrCall: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetControllerSteps(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetControllerFactor(LSID: Integer; var X: Double; var Y: Double; var Z: Double; var R: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetControllerTWDelay(LSID: Integer; var CtrTWDelay: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetControllerTimeout(LSID: Integer; var ACtrTimeout: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetCtrFastMoveOn(LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetCtrFastMoveOff(LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetCtrFastMove(LSID: Integer; var Active: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_ClearCtrFastMoveCounter(LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetCtrFastMoveCounter(LSID: Integer; var XC: Integer; var YC: Integer; var ZC: Integer; var RC: Integer): Integer; stdcall; external LStep4Dll;
function LSX_ClearEncoder(LSID: Integer; Axis: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetEncoder(LSID: Integer; var XP: Double; var YP: Double; var ZP: Double; var RP: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetTrigger(LSID: Integer; var ATrigger: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetTriggerPar(LSID: Integer; var Axis: Integer; var Mode: Integer; var Signal: Integer; var Distance: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetTrigCount(LSID: Integer; Value: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetTrigCount(LSID: Integer; var Value: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetTVRInPulse(LSID: Integer; Axis: Integer; Direction: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetSnapshot(LSID: Integer; var ASnapshot: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetSnapshotFilter(LSID: Integer; Time: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetSnapshotFilter(LSID: Integer; var Time: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetSnapshotPar(LSID: Integer; var High: LongBool; var AutoMode: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetLimit(LSID: Integer; Axis: Integer; var MinRange: Double; var MaxRange: Double): Integer; stdcall; external LStep4Dll;
function LSX_JoyChangeAxis(LSID: Integer; Value: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetJoyChangeAxis(LSID: Integer; var Value: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_SetDigJoyOff(LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetInputTrigMove(LSID: Integer; Mode: Integer; Wait: LongBool): Integer; stdcall; external LStep4Dll;
function LSX_GetInputTrigMove(LSID: Integer; var Mode: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetLimitControlMode(LSID: Integer; Mode: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetLimitControlMode(LSID: Integer; var Mode: Integer): Integer; stdcall; external LStep4Dll;
function LSX_Initialize(LSID: Integer; Workpath: PAnsiChar): Integer; stdcall; external LStep4Dll;
function LSX_InitializeW(LSID: Integer; Workpath: PWideChar): Integer; stdcall; external LStep4Dll;
function LSX_SetAccelJerk(LSID: Integer; XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetDecelJerk(LSID: Integer; XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetCalibRMJerk(LSID: Integer; XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetJoyVel(LSID: Integer; XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetJoyVel(LSID: Integer; var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetDeceleration(LSID: Integer; XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetDeceleration(LSID: Integer; var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetDecelSingleAxis(LSID: Integer; Axis: Integer; Value: Double): Integer; stdcall; external LStep4Dll;
function LSX_ConfigMaxAxes(LSID: Integer; nAxes: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetJoystickAxes(LSID: Integer; Flags: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetJoystickAxes(LSID: Integer; var Flags: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetJoyVelSkal(LSID: Integer; X: Integer; Y: Integer; Z: Integer; R: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetJoyVelSkal(LSID: Integer; var X: Integer; var Y: Integer; var Z: Integer; var R: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetMaxUserCurrent(LSID: Integer; XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetMaxUserCurrent(LSID: Integer; var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetStopDecel(LSID: Integer; XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetStopDecel(LSID: Integer; var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetMotorMaxVel(LSID: Integer; XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetMotorMaxVel(LSID: Integer; var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetMotorStandForce(LSID: Integer; XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetMotorStandForce(LSID: Integer; var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetMotorStandMoment(LSID: Integer; XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetMotorStandMoment(LSID: Integer; var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetMotorFieldDir(LSID: Integer; X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetMotorFieldDir(LSID: Integer; var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetMotorType(LSID: Integer; X: Integer; Y: Integer; Z: Integer; A: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetMotorType(LSID: Integer; var X: Integer; var Y: Integer; var Z: Integer; var A: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetOsziCallBackFct(LSID: Integer; Fct: Pointer): Integer; stdcall; external LStep4Dll;
function LSX_TranslateErrMsg(LSID: Integer; MsgIn: PWideChar; MsgOut: PWideChar; MaxLen: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetCalibRMAccel(LSID: Integer; XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetCalibRMAccel(LSID: Integer; var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetCalibRMJerk(LSID: Integer; var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetCalibRMVel(LSID: Integer; XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetCalibRMVel(LSID: Integer; var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetCalibRMBackSpeed(LSID: Integer; XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetCalibRMBackSpeed(LSID: Integer; var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetAccelJerk(LSID: Integer; var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetDecelJerk(LSID: Integer; var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetGearDenominator(LSID: Integer; X: Integer; Y: Integer; Z: Integer; R: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetGearDenominator(LSID: Integer; var X: Integer; var Y: Integer; var Z: Integer; var R: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetGearNumerator(LSID: Integer; X: Integer; Y: Integer; Z: Integer; R: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetGearNumerator(LSID: Integer; var X: Integer; var Y: Integer; var Z: Integer; var R: Integer): Integer; stdcall; external LStep4Dll;
function LSX_SetStopDecelJerk(LSID: Integer; XD: Double; YD: Double; ZD: Double; AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_GetStopDecelJerk(LSID: Integer; var XD: Double; var YD: Double; var ZD: Double; var AD: Double): Integer; stdcall; external LStep4Dll;
function LSX_SetSwChange(LSID: Integer; Flags: Integer): Integer; stdcall; external LStep4Dll;
function LSX_GetSwChange(LSID: Integer; var Flags: Integer): Integer; stdcall; external LStep4Dll;

function LSX_CreateLSID(var LSID: Integer): Integer; stdcall; external LStep4Dll;
function LSX_FreeLSID(LSID: Integer): Integer; stdcall; external LStep4Dll;

implementation

end.
