﻿' Beispiel Programm Connect_And_Init (VB Window Projekt Microsoft Visual Studio 2010)
'
' Beschreibung: Verbindet mit einer LStep Steuerung auf COM1, Konfiguriert diese und aktiviert die Endstufen.
'               
'                SampleExport.LSControl -> Enthält Konfiguration der Steuerung. Sie muss auf Zielsystem angepasst werden.'               
'
' Erzeugt von: Andreas Köstler, 17.06.2013 , LANG GmbH & Co. KG

Imports CClassLStep ' Binde die Klassenbibliothek ein

Public Class Connect_And_Init

    Dim LS As LStep ' Lege die Variable LS vom Typ LStep an

    Private Sub Btn_Connect_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Btn_Connect.Click
        Dim Result As Integer
        Btn_Connect.Enabled = False

        LS = New LStep ' Erzeuge ein Objekt vom Typ LStep

        Result = LS.ConnectSimpleW(11, "COM1", 115200, True) ' Baue eine Verbindung zur LSTEP Express am COM1 mit RTS/CTS und einer Baudrate von 115200 auf

        If Result = 0 Then ' Verbindung erfolgeich aufgebaut
            Ep_ShowError.Clear()

            ' Falls keine Konfiguration mittels WinCommander stattfinden soll, kann dies auch hier geschehen.
            'LS.LoadConfigW("SampleExport.LSControl") ' Lade Konfiguration
            'LS.SetControlPars() ' Schreibe Konfiguration in Steuerung
            'LS.SendStringW("!pa 1 1 1" + vbCr, Nothing, 0, False, 100) ' Schalte Endstufen ein

            Btn_Disconnect.Enabled = True
        Else
            Btn_Connect.Enabled = True
            Ep_ShowError.Clear()
            Ep_ShowError.SetError(Btn_Connect, "Error Nr: " + Convert.ToString(Result)) ' War der Verbindungsaufbau nicht erfolgreich dann zeige dies an
        End If
    End Sub

    Private Sub Btn_Disconnect_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Btn_Disconnect.Click
        Btn_Disconnect.Enabled = False

        'LS.SendStringW("!pa 0 0 0" + vbCr, Nothing, 0, False, 100) ' Schalte Endstufen aus

        LS.Disconnect() ' Schließe die Verbindung

        LS = Nothing
        GC.Collect()

        Btn_Connect.Enabled = True
    End Sub

    Public Sub New()
        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Btn_Connect.Enabled = True
        Btn_Disconnect.Enabled = False

    End Sub
End Class
